-- ------------------------------------------------------------------------------
-- RP Tags for ElvUI and Total RP 3
-- by Oraibi, Moon Guard (US) server
--
-- Ora's twitter: http://twitter.com/oraibimoonguard
-- Download site: http://tinyurl.com/rptags-tukui
-- Documentation: http://tinyurl.com/rptags-wiki
--
-- ------------------------------------------------------------------------------
--
-- This work is licensed under the Creative Commons Attribution 4.0 International
-- (CC BY 4.0) license. To view a copy of the license, visit
--
--     https://creativecommons.org/licenses/by/4.0/
--
-- This license is acceptable for Free Cultural Works.
--
-- You are free to:
--
-- Share -- copy and redistribute the material in any medium or format
-- Adapt -- remix, transform, and build upon the material
--         for any purpose, even commercially.
-- 
-- The licensor cannot revoke these freedoms as long as you follow the 
-- license terms.
-- 
-- Under the following terms:
-- Attribution -- You must give appropriate credit, provide a link to the
--         license, and indicate if changes were made. You may do
--         so in any reasonable manner, but not in any way that
--         suggests the licensor endorses you or your use.
--
-- No additional restrictions -- You may not apply legal terms or
--         technological measures that legally restrict others from doing
--         anything the license permits.
--
-- Notices:
--
-- You do not have to comply with the license for elements of the material
-- in the public domain or where your use is permitted by an applicable
-- exception or limitation.
--
-- No warranties are given. The license may not give you all of the
-- permissions necessary for your intended use. For example, other rights
-- such as publicity, privacy, or moral rights may limit how you use the
-- material.
-- ------------------------------------------------------------------------------

-- Const: constants
--
-- available under RPTAGS.const
--
local RPTAGS = RPTAGS;
local GetAddOnMetadata = GetAddOnMetadata;

  -- ----------------- - Temporary values that are used later in rptags.globals
local CFF               = "|cff";
local ORA_COLOR         = "bb00bb";
local VIOLET            = "aa00cc";
local RESET             = "|r";

RPTAGS.const = { 
  -- ------------- - addon details
  APP_ID           = "rptags",
  APP_COLOR        = CFF .. VIOLET,
  ORAIBI           = CFF .. ORA_COLOR .. "Oraibi" .. RESET,
  VERSION          = GetAddOnMetadata("RP_Tags", "Version"),
  -- ------------- - Localization prefixes
  PREFIX           = "RPT_",
  LOC              = "",
  FLOC             = "FMT_",
  TAG_PREFIX       = "TAG_",
  BROADCAST_PREFIX = "RPB1",
  -- ------------- - Configuration Options
  VERYSHORT        = 10,
  SHORT            = 20,
  MEDIUM           = 40,
  LONG             = 60,
  VERYLONG         = 150,
  -- ------------- -
  BIG_PROFILE      = 20, 

  -- ------------- - Building tags with these
  TAG              = "rp:",
  MAIN_EVENT       = "PLAYER_TARGET_CHANGED",

  -- ------------- - Sizebuffs
  SIZEBUFFS = { 
    -- include them here if they have a duration of 5 min or longer
    [8212]   = { buffName = "Giant Growth Potion",  sizeChange = 30,  foodBuff = false, },
    [98444]  = { buffName = "Vrykul Drinking Horn", sizeChange = 30,  foodBuff = false, },
    [58466]  = { buffName = "Giant Feast",          sizeChange = 30,  foodBuff = true,  },
    [58479]  = { buffName = "Small Feast",          sizeChange = -30, foodBuff = true,  },
    [143034] = { buffName = "Darkmoon Seesaw",      sizeChange = -33, foodBuff = false, },
    [17038]  = { buffName = "Winterfall Firewater", sizeChange = 25,  foodBuff = false, },
    [109933] = { buffName = "Darkmoon Firewater",   sizeChange = 25,  foodBuff = false, },
    [16595]  = { buffName = "Noggenfogger Elixir",  sizeChange = -50, foodBuff = false, },
  },
};
