-- ------------------------------------------------------------------------------
-- RP Tags for ElvUI and Total RP 3
-- by Oraibi, Moon Guard (US) server
--
-- Ora's twitter: http://twitter.com/oraibimoonguard
-- Download site: http://tinyurl.com/rptags-tukui
-- Documentation: http://tinyurl.com/rptags-wiki
--
-- ------------------------------------------------------------------------------
--
-- This work is licensed under the Creative Commons Attribution 4.0 International
-- (CC BY 4.0) license. To view a copy of the license, visit
--
--     https://creativecommons.org/licenses/by/4.0/
--
-- This license is acceptable for Free Cultural Works.
--
-- You are free to:
--
-- Share -- copy and redistribute the material in any medium or format
-- Adapt -- remix, transform, and build upon the material
--         for any purpose, even commercially.
-- 
-- The licensor cannot revoke these freedoms as long as you follow the 
-- license terms.
-- 
-- Under the following terms:
-- Attribution -- You must give appropriate credit, provide a link to the
--         license, and indicate if changes were made. You may do
--         so in any reasonable manner, but not in any way that
--         suggests the licensor endorses you or your use.
--
-- No additional restrictions -- You may not apply legal terms or
--         technological measures that legally restrict others from doing
--         anything the license permits.
--
-- Notices:
--
-- You do not have to comply with the license for elements of the material
-- in the public domain or where your use is permitted by an applicable
-- exception or limitation.
--
-- No warranties are given. The license may not give you all of the
-- permissions necessary for your intended use. For example, other rights
-- such as publicity, privacy, or moral rights may limit how you use the
-- material.
-- ------------------------------------------------------------------------------

-- available under RPTAGS.const
--
local RPTAGS = RPTAGS;

if not RPTAGS.const then RPTAGS.const = {}; end;

  -- ----------------- - Temporary values that are used later in rptags.globals
local MALE              = 2;
local NEUTER            = 1;
local FEMALE            = 3 ;
local THEY              = 8675309; -- this is a custom number used internally
local GENDER_UNKNOWN    = 999999;  -- also a custom number
local GENDER_DEFAULT    = NEUTER;

local genderData = {
  MALE     = MALE,
  FEMALE   = FEMALE,
  NEUTER   = NEUTER,
  THEY     = THEY,
  UNKNOWN  = GENDER_UNKNOWN,
  DEFAULT  = GENDER_DEFAULT,
  LOOKUP   = { 
    [MALE]           = "MALE",
    [FEMALE]         = "FEMALE",
    [NEUTER]         = "NEUTER",
    [THEY]           = "THEY",
    [GENDER_DEFAULT] = "NEUTER",
    [GENDER_UNKNOWN] = "UNKNOWN", },
  CREATURE = { 
    ["Giant"]          = THEY,
    ["Humanoid"]       = THEY, },
  FAMILY   = { 
    ["Doomguard"]      = MALE,
    ["Felguard"]       = MALE,
    ["Imp"]            = MALE,
    ["Succubus"]       = FEMALE, },
  -- TexturePath:size1:size2:xoffset:yoffset:dimx:dimy:coordx1:coordx2:coordy1:coordy2
  -- path       :0    :0    :0      :0      :64  :64  :0      :64     :0      :64     
  ICON = { 
    MALE    = "Glues\\CHARACTERCREATE\\UI-CharacterCreate-Gender:0:0:0:0:128:64:0:64:0:64",
    FEMALE  = "Glues\\CHARACTERCREATE\\UI-CharacterCreate-Gender:0:0:0:0:128:64:64:128:0:64",
    NEUTER  = "ICONS\\Achievement_GuildPerk_EverybodysFriend:0:0:0:0:64:64:0:64:0:64",
    UNKNOWN = "InventoryItems\\WoWUnknownItem01:0:0:0:0:64:64:0:64:0:64",
    THEY    = "ICONS\\Achievement_DoubleRainbow:0:0:0:0:64:64:0:64:0:64", },
};

RPTAGS.const.GENDER = genderData;
