-- ------------------------------------------------------------------------------
-- RP Tags for ElvUI and Total RP 3
-- by Oraibi, Moon Guard (US) server
--
-- Ora's twitter: http://twitter.com/oraibimoonguard
-- Download site: http://tinyurl.com/rptags-tukui
-- Documentation: http://tinyurl.com/rptags-wiki
--
-- ------------------------------------------------------------------------------
--
-- This work is licensed under the Creative Commons Attribution 4.0 International
-- (CC BY 4.0) license. To view a copy of the license, visit
--
--     https://creativecommons.org/licenses/by/4.0/
--
-- This license is acceptable for Free Cultural Works.
--
-- You are free to:
--
-- Share -- copy and redistribute the material in any medium or format
-- Adapt -- remix, transform, and build upon the material
--         for any purpose, even commercially.
-- 
-- The licensor cannot revoke these freedoms as long as you follow the 
-- license terms.
-- 
-- Under the following terms:
-- Attribution -- You must give appropriate credit, provide a link to the
--         license, and indicate if changes were made. You may do
--         so in any reasonable manner, but not in any way that
--         suggests the licensor endorses you or your use.
--
-- No additional restrictions -- You may not apply legal terms or
--         technological measures that legally restrict others from doing
--         anything the license permits.
--
-- Notices:
--
-- You do not have to comply with the license for elements of the material
-- in the public domain or where your use is permitted by an applicable
-- exception or limitation.
--
-- No warranties are given. The license may not give you all of the
-- permissions necessary for your intended use. For example, other rights
-- such as publicity, privacy, or moral rights may limit how you use the
-- material.
-- ------------------------------------------------------------------------------

--
-- available under RPTAGS.const.CONFIG
--
local RPTAGS = RPTAGS;
if not RPTAGS.const then RPTAGS.const = {} end;

  -- ----------------- - Temporary values that are used later in rptags.globals
local CYAN              = "ff3399";
local GREEN             = "33ff33";
local GREY              = "999999";
local YELLOW            = "ffff66";
local LITE_GREY         = "bbbbbb";
local ORANGE            = "ff9966"; 
local PINK              = "ff66ff";
local RED               = "ff3333";
local LITE_BLUE         = "00bbbb";
-- local WHITE             = "ffffff";
-- local BLACK             = "000000";
-- local ORA_COLOR         = "bb00bb";
-- local VIOLET            = "aa00cc";

local settings = {
  KEYS = {     
    ADULT_GENDERS      = "rptags_adult_gender",
    CHANGES_MESSAGE    = "rptags_changes_message",
    COLOR_EQUALISH     = "rptags_color_equalish",
    COLOR_FEMALE       = "rptags_gendercolor_female",
    COLOR_GREATERTHAN  = "rptags_color_greaterthan",
    COLOR_HILITE_1     = "rptags_color_hilite_1",
    COLOR_HILITE_2     = "rptags_color_hilite_2",
    COLOR_HILITE_3     = "rptags_color_hilite_3",
    COLOR_IC           = "rptags_color_status_ic",
    COLOR_LESSTHAN     = "rptags_color_lessthan",
    COLOR_MALE         = "rptags_gendercolor_male",
    COLOR_NEUTER       = "rptags_gendercolor_neuter",
    COLOR_NPC          = "rptags_color_status_npc",
    COLOR_OOC          = "rptags_color_status_ooc",
    COLOR_THEY         = "rptags_gendercolor_they",
    COLOR_UNKNOWN      = "rptags_color_unknown",
    CURR_SIZE          = "rptags_size_currently",
    GLANCE_COLON       = "rptags_at_first_glance_colon",
    GLANCE_DELIM       = "rptags_at_first_glance_delimiter",
    GLANCE_SIZE        = "rptags_size_glance",
    IC_ONLY            = "rptags_ic_only",
    LINEBREAKS         = "rptags_linebreaks",
    LOGIN_MESSAGE      = "rptags_login_message",
    MISC_SIZE          = "rptags_size_misc",
    NAME_SIZE          = "rptags_size_name",
    PARSE_AGE          = "rptags_parse_age",
    PARSE_GENDER       = "rptags_parse_gender",
    PARSE_HW           = "rptags_parse_height_weight",
    PROFILESIZE_FMT    = "rptags_profilesize_format",
    SIZEBUFF_FMT       = "rptags_sizebuffs_format",
    TITLE_SIZE         = "rptags_size_title",
    UNITS_HEIGHT       = "rptags_units_height",
    UNITS_WEIGHT       = "rptags_units_weight",
    NAME_WRAP          = "rptags_wrap_name",
    MISC_WRAP          = "rptags_wrap_misc",
    GLANCE_WRAP        = "rptags_wrap_glance",
    TITLE_WRAP         = "rptags_wrap_title",
    CURR_WRAP          = "rptags_wrap_currently",
    REAL_ELLIPSES      = "rptags_real_ellipses",
    },
  DEFAULTS = { 
    ADULT_GENDERS      = false,
    CHANGES_MESSAGE    = true,
    COLOR_EQUALISH     = LITE_GREY,
    COLOR_FEMALE       = PINK,
    COLOR_GREATERTHAN  = LITE_BLUE,
    COLOR_HILITE_1     = CYAN,
    COLOR_HILITE_2     = YELLOW,
    COLOR_HILITE_3     = ORANGE,
    COLOR_IC           = GREEN,
    COLOR_LESSTHAN     = YELLOW,
    COLOR_MALE         = LITE_BLUE,
    COLOR_NEUTER       = LITE_GREY,
    COLOR_NPC          = LITE_GREY,
    COLOR_OOC          = RED,
    COLOR_THEY         = YELLOW,
    COLOR_UNKNOWN      = GREY,
    CURR_SIZE          = 30,
    EXTEND_GENDER      = false,
    FORMATTING_TAGS    = true,
    GLANCE_COLON       = ": ",
    GLANCE_DELIM       = "\n",
    GLANCE_SIZE        = 30,
    IC_ONLY            = false,
    LINEBREAKS         = false,
    LOGIN_MESSAGE      = true,
    MISC_SIZE          = 30,
    NAME_SIZE          = 30,
    PARSE_AGE          = false,
    PARSE_GENDER       = false,
    PARSE_HW           = false,
    PROFILESIZE_FMT    = "WRD_PAR_NUM",
    SIZEBUFF_FMT       = "PCT_BRC",
    TITLE_SIZE         = 30,
    UNITS_HEIGHT       = "CM_FT_IN",
    UNITS_WEIGHT       = "KG_LB",
    NAME_WRAP          = "TRUNCATE",
    MISC_WRAP          = "WORD_TRUNC",
    GLANCE_WRAP        = "WORD_TRUNC",
    TITLE_WRAP         = "WORD_TRUNC",
    CURR_WRAP          = "WRAP_ONCE",
    REAL_ELLIPSES      = true,
  },
};

RPTAGS.const.CONFIG = settings;

