-- ------------------------------------------------------------------------------
-- RP Tags for ElvUI and Total RP 3
-- by Oraibi, Moon Guard (US) server
--
-- Ora's twitter: http://twitter.com/oraibimoonguard
-- Download site: http://tinyurl.com/rptags-tukui
-- Documentation: http://tinyurl.com/rptags-wiki
--
-- ------------------------------------------------------------------------------
--
-- This work is licensed under the Creative Commons Attribution 4.0 International
-- (CC BY 4.0) license. To view a copy of the license, visit
--
--     https://creativecommons.org/licenses/by/4.0/
--
-- This license is acceptable for Free Cultural Works.
--
-- You are free to:
--
-- Share -- copy and redistribute the material in any medium or format
-- Adapt -- remix, transform, and build upon the material
--         for any purpose, even commercially.
-- 
-- The licensor cannot revoke these freedoms as long as you follow the 
-- license terms.
-- 
-- Under the following terms:
-- Attribution -- You must give appropriate credit, provide a link to the
--         license, and indicate if changes were made. You may do
--         so in any reasonable manner, but not in any way that
--         suggests the licensor endorses you or your use.
--
-- No additional restrictions -- You may not apply legal terms or
--         technological measures that legally restrict others from doing
--         anything the license permits.

--Notices:

--You do not have to comply with the license for elements of the material
--in the public domain or where your use is permitted by an applicable
--exception or limitation.

--No warranties are given. The license may not give you all of the
--permissions necessary for your intended use. For example, other rights
--such as publicity, privacy, or moral rights may limit how you use the material.
-- ------------------------------------------------------------------------------
-- localization done on 

local RPTAGS = RPTAGS;
local Const  = RPTAGS.const;

if not RPTAGS.locale then RPTAGS.locale = {}; end;
local Locale = RPTAGS.locale;

  -- US English localization ------------------------------------------------------------------------------
Locale["enUS"] = {
  -- ------------------ - related to the app itself
  APP_DESC              = "Extends ElvUI's unitframes to use TRP3 fields in tags",
  APP_NAME              = "[|cffbb00bbrp:tags|r] for ElvUI + TRP3",
  APP_SHORT_NAME        = "[rp:tags]",
  APP_COLOR_NAME        = "[|cffbb00bbrp:tags|r]",
  APP_SLASH             = "/rptags",
  APP_SLASH_SHORT       = "/rptag",
  APP_SLASH_SHORTER     = "/rpt",
  APP_ID                = Const.APP_ID,
  APP_VERSION           = Const.VERSION,
  APP_CREATOR           = Const.ORAIBI,
  APP_CHANGES           = "Fixed a bug when updating frames in a raid or party. Previously: Fixed a bug in [rp:color] that made it display [rp:eyecolor]; added [rp:statusicon], pronoun tags; fixed some bugs.",
  CHANGES               = "Changes",
  -- sizes of things    -
  SIZE_EXTRA_LARGE      = "Extra Large",
  SIZE_LARGE            = "Large",
  SIZE_MEDIUM           = "Medium",
  SIZE_SMALL            = "Small",
  SIZE_EXTRA_SMALL      = "Extra Small",
  SIZE_XL               = "XL",
  SIZE_L                = "L",
  SIZE_M                = "M",
  SIZE_S                = "S",
  SIZE_XS               = "XS",
  SIZE_UNKNOWN          = "Unknown",
  SIZE_U                = "U",
  -- ------------------ - 
  FMT_SZ_WRD_BRC_NUM    = "%s [%d]",
  FMT_SZ_WRD_PAR_NUM    = "%s (%d)",
  FMT_SZ_BRC_WRD_NUM    = "[%s: %d]",
  FMT_SZ_PAR_WRD        = "(%s)",
  FMT_SZ_WRD            = "%s",
  FMT_SZ_BRC_LTR_NUM    = "[%s:%d]",
  FMT_SZ_BRC_LTR        = "[%s]",
  FMT_SZ_LTR            = "%s",
  FMT_SZ_BRC_NUM        = "[%d]",
  FMT_SZ_NUM            = "%d",
  -- ------------------ - trunc_or_wrap
  OPT_LINE_TRUNCATE     = "Truncate line",
  OPT_LINE_WORD_TRUNC   = "Truncate at word breaks", 
  OPT_LINE_WRAP_ONCE    = "Wrap once (2 lines)",
  OPT_LINE_WRAP_TWICE   = "Wrap twice (3 lines)",
  OPT_LINE_WRAP_FOREVER = "Wrap and show all text",
  -- ------------------ - misc
  ABOUT                 = "about",
  YEARS_AGO             = "ago",
  YEARS_OLD             = "years old",
  -- ------------------ - misc
  SETTINGS              = "settings",
  LETTERS               = " characters",
  GET_LINK              = "Get Link",
  GET_LINK_INSTRUCT     = "You can copy this link by using the %s keyboard shortcut and then paste the link into your browser using the %s shortcut.",
  COPY_UI               = "Copy User Interface",
  COPY_UI_INSTRUCT      = "You can copy this UI by the using %s keyboard shortcut. Then open [[Profiles]] in ElvUI configuration, choose [[[Import Profile]]], and paste the UI using the %s shortcut.",
  COPY_MANUAL           = "Copy User Manual",
  COPY_MANUAL_INSTRUCT  = "You can copy the manual by using the %s keyboard shortcut. Then open [[trp3 Extended Objects Database]], then choose [[[Quick Object Import]]] and paste the manual using the %s shortcut.",
  COPY_RECIPE           = "Copy Recipe",
  COPY_RECIPE_INSTRUCT  = "You can copy this recipe by using the %s keyboard shortcut and then paste the recipe into your ElvUI field using the %s shortcut.",
  -- ------------------ - recipes
  RECIPE_DEFAULT_TT     = "Click this to copy the recipe.",
  -- ------------------ - configuration headlines
  CONFIG_H1_DISPLAY     = "Add-On Behavior",
  CONFIG_H1_PARSE       = "Parsing Tag Values",
  CONFIG_H1_FORMATS     = "Tag Formats",
  CONFIG_H1_SIZES       = "Field Sizes",
  CONFIG_H1_LINKS       = "Helpful Links",
  CONFIG_H1_WRAP        = "Field Size Overflow",
  CONFIG_H1_DEMO        = "User Interface Demo",
  CONFIG_PAGE_MAIN      = " Settings",
  CONFIG_PAGE_FORMATS   = " Formats",
  CONFIG_PAGE_COLORS    = " |cffff0000C|cffff9900o|cffffff00l|cff00ff00o|cff00ffffr|cffff00ffs|r",
  -- --------------------- - login message
  CONFIG_LOGIN_MESSAGE_TT  = "Check to show a message from RPTAGS on login",
  CONFIG_LOGIN_MESSAGE     = "Option: Login message", 
  CONFIG_CHANGES_MESSAGE   = "Option: Changes message",
  CONFIG_CHANGES_MESSAGE_TT = "Check to have the login message list what's new in the current version of RPTAGS.",
  -- ------------------ - tag display
  CONFIG_IC_ONLY        = "Option: Hide when OOC",
  CONFIG_IC_ONLY_TT     = "Check to display RPTAGS fields only when you are in character.",
  CONFIG_LINEBREAKS     = "Option: Allow linebreaks",
  CONFIG_LINEBREAKS_TT  = "Check to allow line breaks in other peoples' fields, such as currently or glances. This might throw off your UI layouts if enabled.",
  -- -------------------- --
  CONFIG_TWEAK_ELVUI_LIMITS = "Increase the maximum size limits on unitframes.",
  CONFIG_TWEAK_ELVUI_LIMITS_TT = "Check to allow ElvUI player and target frames to become quite large",
  CONFIG_SCALE_3D_MODELS = "Scale 3D models in unitframes.",
  CONFIG_SCALE_3D_MODELS_TT = "Check to automatically scale 3D models in ElvUI frames.",
  CONFIG_ENABLE         = "Enable",
  CONFIG_TRP3           = "To configure [rp:tags] processing, see TRP3's configuration screens.",
  -- ------------------ - formats
  CONFIG_UNITS_HEIGHT     = "Format: Height",
  CONFIG_UNITS_HEIGHT_TT  = "Select how to display [rp:height] when there is only a number given, or when the value is parsed. Mary Sue Protocol defines a number alone as centimeters; this is how you want those centimeters to be displayed.",
  CONFIG_UNITS_WEIGHT     = "Format: Weight",
  CONFIG_UNITS_WEIGHT_TT  = "Select how to display [rp:weight] when there is only a number given, or when the value is parssed. Mary Sue Protocol defines a number alone as kilograms; this is how you want those kilograms to be displayed.",
  CONFIG_SIZEBUFF_FMT     = "Format: Size buffs",
  CONFIG_SIZEBUFF_FMT_TT  = "Select how you wish to display [rp:sizebuff]. Size buffs make character larger or smaller for at least several minutes.",
  CONFIG_PROFILESIZE_FMT_TT = "Select how you want to display the size of someone else's profile with [rp:profilesize]. Numbers represent TRP3 block sizes.",
  CONFIG_PROFILESIZE_FMT    = "Format: Profile sizes",
  -- ------------------
  CONFIG_GLANCE_COLON         = "Glance field/value separator",
  CONFIG_GLANCE_COLON_TT      = "Select the delimiter between the title of a [rp:glance] tag, and the text of that field.",
  CONFIG_GLANCE_COLON_COLON   = "Young|cff00bbbb:|r For her race",
  CONFIG_GLANCE_COLON_COMMAS  = "Young|cff00bbbb,|r For her race",
  CONFIG_GLANCE_COLON_DASHES  = "Young |cff00bbbb-|r For her race",
  CONFIG_GLANCE_COLON_SLASHES = "Young |cff00bbbb/|r For her race",
  CONFIG_GLANCE_COLON_SPACES  = "Young |cff00bbbb(space)|r For her race",
  -- ------------------
  CONFIG_GLANCE_DELIM            = "Glance delimiter",
  CONFIG_GLANCE_DELIM_TT         = "Select the delimiter between multiple [rp:glance] fields.",
  CONFIG_GLANCE_DELIM_COMMAS     = "Young|cff00bbbb,|r Well-Dressed",
  CONFIG_GLANCE_DELIM_SPACES     = "Young |cff00bbbb(space)|rWell-Dressed",
  CONFIG_GLANCE_DELIM_SEMICOLONS = "Young|cff00bbbb;|r Well-Dressed",
  CONFIG_GLANCE_DELIM_NEWLINES   = "Young|cff00bbbb(newline)|rWell-Dressed",
  CONFIG_GLANCE_DELIM_SLASHES    = "Young |cff00bbbb//|r Well-Dressed",
  -- ------------------------ - color
  CONFIG_COLOR_UNKNOWN        = "Default: Unknown",
  CONFIG_COLOR_UNKNOWN_TT     = "This color is displayed when you use a color tag and the result isn't recognized by RPTAGS. This value applies to [rp:gendercolor], [rp:statuscolor], [rp:agecolor], and similar tags.",
  CONFIG_COLOR_MALE           = "Gender: Male",
  CONFIG_COLOR_MALE_TT        = "The color for a male character, when you use the [rp:gendercolor] tag.",
  CONFIG_COLOR_FEMALE         = "Gender: Female",
  CONFIG_COLOR_FEMALE_TT      = "The color for a female character, when you use the [rp:gendercolor] tag.",
  CONFIG_COLOR_NEUTER         = "Gender: Neuter",
  CONFIG_COLOR_NEUTER_TT      = "The color for a character with a neuter-gender character, when you use the [rp:gendercolor] tag. Only used if you have checked the boxes to enable gender extrapolation and extended genders.",
  CONFIG_COLOR_THEY           = "Gender: Non-binary / singular they",
  CONFIG_COLOR_THEY_TT        = "The color for a non-binary character or any other character that uses a singular they pronoun, when you use the [rp:gendercolor] tag. Only used if you have checked the boxes to enable gender extrapolation and extended genders.",
  CONFIG_COLOR_IC             = "Status: In Character [IC]",
  CONFIG_COLOR_IC_TT          = "The color for a player who is currently in character, when you use the [rp:statuscolor] tag.",
  CONFIG_COLOR_OOC            = "Status: Out of Character [OOC]",
  CONFIG_COLOR_OOC_TT         = "The color for a player who is currently out of character, when you use the [rp:statuscolor] tag.",
  CONFIG_COLOR_NPC            = "Status: Non-Player Character",
  CONFIG_COLOR_NPC_TT         = "The color for an NPC when you use the [rp:statuscolor] tag. NPCs can't be either IC or OOC.",
  CONFIG_COLOR_LESSTHAN       = "Comparisons: Less than you",
  CONFIG_COLOR_LESSTHAN_TT    = "The color for a comparison tag, such as [rp:agecolor] or [rp:heightcolor], for when the other character's value is less than yours.",
  CONFIG_COLOR_EQUALISH       = "Comparisons: Approximately equal",
  CONFIG_COLOR_EQUALISH_TT    = "The color for a comparison tag, such as [rp:agecolor] or [rp:heightcolor], for when the other character's value is roughtly equal to yours.",
  CONFIG_COLOR_GREATERTHAN    = "Comparisons: Greater than you",
  CONFIG_COLOR_GREATERTHAN_TT = "The color for a comparison tag, such as [rp:agecolor] or [rp:heightcolor], for when the other haracter's value is greater than yours.",
  CONFIG_COLOR_HILITE_1       = "Hilite color: 1",
  CONFIG_COLOR_HILITE_1_TT    = "The color used in the [rp:hilite] tag.",
  CONFIG_COLOR_HILITE_2       = "Hilite color: 2",
  CONFIG_COLOR_HILITE_2_TT    = "The color used in the [rp:hilite-2] tag.",
  CONFIG_COLOR_HILITE_3       = "Hilite color: 3",
  CONFIG_COLOR_HILITE_3_TT    = "The color used in the [rp:hilite-3] tag.",
  -- ------------------ - extrapolation
  CONFIG_PARSE_AGE         = "Parse: Age",
  CONFIG_PARSE_AGE_TT      = "Normally, [rp:age] is only calculated when it's a number alone, which means the number of years. Check this box to have RPTAGS try to interpret age fields that have text such as '120 years' or '20 centuries'.",
  CONFIG_PARSE_HW          = "Parse: Height and Weight",
  CONFIG_PARSE_HW_TT       = "Normally, [rp:height] and [rp:weight] are only calculated when they're a number alone. For height, this number represents centimeters, and for weight this represents kilograms. Check this box to have RPTAGS attempt to interpret height and weight fields that have text such as '4 foot 6', '2 meters', '165 pounds', or '12 stone'.",
  CONFIG_PARSE_GENDER      = "Parse: Gender",
  CONFIG_PARSE_GENDER_TT   = "Normally, gender is based on the toon's model for [rp:gender], [rp:gendercolor], and pronoun tags. Check this box to have RPTAGS attempt to interpret gender based on a variety of profile fields, such as race and the [[[Gender]]] custom field.",
  CONFIG_ADULT_GENDERS     = "Parse: Adult Genders",
  CONFIG_ADULT_GENDERS_TT  = "If you have enabled parsing of genders, check this box to have RPTAGS match rude or inappropriate names for different genders. |cffff0000Warning:|r Only enable this if you are, yourself, an adult.",
  -- ------------------ - field sizes
  CONFIG_CURR_SIZE      = "Maximum Size: Currently/Info",
  CONFIG_CURR_SIZE_TT   = "Choose a limit on the size of the [rp:curr] and [rp:oocinfo] tags. This may make it easier for you to make RP UIs that don't get thrown off by long tag values.",
  CONFIG_GLANCE_SIZE    = "Maximum Size: At First Glance Text",
  CONFIG_GLANCE_SIZE_TT = "Choose a limit on the size of the text in an [rp:glance] tag. This may make it easier for you to make RP UIs that don't get thrown off by long tag values. The size of the glance title is limited by the 'Other Fields' setting below.",
  CONFIG_TITLE_SIZE     = "Maximum Size: Titles",
  CONFIG_TITLE_SIZE_TT  = "Choose a limit on the size of the [rp:title] tag. The [rp:fulltitle] tag will be limited to twice this length.",
  CONFIG_NAME_SIZE      = "Maximum Size: Names",
  CONFIG_NAME_SIZE_TT   = "Choose a limit on the size of the [rp:name] and [rp:fullname] tags. The [rp:firstname] and [rp:lastname] tags will be limited to half this length.",
  CONFIG_MISC_SIZE      = "Maximum Size: Other Fields",
  CONFIG_MISC_SIZE_TT   = "Choose a limit on the size of other fields, including pre-defined and user-defined, such as [rp:motto], [rp:height], [rp:age], and [rp:alignment].",
  -- ------------------ - truncate_or_wrap
  CONFIG_NAME_WRAP      = "Overflow: Names",
  CONFIG_NAME_WRAP_TT   = "Choose how to handle names that exceed the maximum size you've set.",
  CONFIG_CURR_WRAP      = "Overflow: Currently/Info",
  CONFIG_CURR_WRAP_TT   = "Choose how to handle currently/OOC info texts that exceed the maximum size you've set.",
  CONFIG_GLANCE_WRAP    = "Overflow: At First Glance Text",
  CONFIG_GLANCE_WRAP_TT = "Choose how to handle at-first-glance text fields that exceed the maximum size you've set. Overflow on the title is handled by the 'Other Fields' setting, below.",
  CONFIG_TITLE_WRAP     = "Overflow: Titles",
  CONFIG_TITLE_WRAP_TT  = "Choose how to handle titles that exceed the maximum size you've set.",
  CONFIG_MISC_WRAP      = "Overflow: Other Fields",
  CONFIG_MISC_WRAP_TT   = "Choose how to handle other text that exceeds the maximum size you've set.",
  CONFIG_REAL_ELLIPSES  = "Use actual ellipses when truncating",
  CONFIG_REAL_ELLIPSES_TT = "Some fonts may have a problem displaying ellipsis characters. Uncheck this box to use three periods instead.",
  -- ------------------ - buttons
  CONFIG_BTN_DL         = "Link: TukUI Download",
  CONFIG_BTN_DL_TT      = "Download the latest version from the TukUI site",
  CONFIG_BTN_DL_URL     = "http://tinyurl.com/rptags-tukui",
  CONFIG_BTN_WIKI       = "Link: Wiki page",
  CONFIG_BTN_WIKI_TT    = "Read about [rp:tags] on the Moon Guard wikia",
  CONFIG_BTN_WIKI_URL   = "http://tinyurl.com/rptags-wiki",
  CONFIG_BTN_DISC       = "Link: Invite to Discord",
  CONFIG_BTN_DISC_TT    = "Talk to the developer and report bugs on the Discord channel",
  CONFIG_BTN_DISC_URL   = "https://discord.gg/zGPP9x9",
  CONFIG_BTN_TWTR       = "Link: |cffbb00bbOraibi|r's twitter",
  CONFIG_BTN_TWTR_TT    = "Follow the developer's twitter",
  CONFIG_BTN_TWTR_URL   = "http://twitter.com/oraibimoonguard",
  CONFIG_BTN_CURSE      = "Link: Curse Download",
  CONFIG_BTN_CURSE_TT   = "Download the latest version from the Curse site",
  CONFIG_BTN_CURSE_URL  = "http://tinyurl.com/rptags-curse",
  CONFIG_BTN_DEMO       = "Copy: Demo UI for ElvUI",
  CONFIG_BTN_DEMO_TT    = "Open 'Profiles' in ElvUI configuration, then choose 'Import Profile'.",
  CONFIG_BTN_DEMO_URL   = "demo",
  CONFIG_BTN_MANUAL     = "Copy: User Manual in trp3 Extended",
  CONFIG_BTN_MANUAL_TT  = "Open trp3 Extended Objects Database, then choose 'Quick Object Import'. You now have a readable user manual in the game, for reference.",
  CONFIG_BTN_MANUAL_URL = "manual",
  -- ------------------ - ic/ooc status
  IS_IC                 = "[IC]",
  IS_OOC                = "[OOC]",
  IS_NPC                = "[NPC]",
  IS_UNDEF              = "[Unk]",
  IS_IC_VERBOSE         = "In Character",
  IS_OOC_VERBOSE        = "Out of Character",
  IS_NPC_VERBOSE        = "Non-Player Character",
  IS_DM_VERBOSE         = "Storyteller",
  IS_LOOKING_VERBOSE    = "Looking for Contact",
  IS_UNDEF_VERBOSE      = "RP Status Unknown",
  -- ------------------ - when texts get wordy
  EYE                   = "eye",
  EYES                  = "eyes",
  AGE_YEARS             = "years",
  -- ------------------ - placeholder values when nothing found
  PH_AGE                = "unknown age",
  PH_HEIGHT             = "unknown height",
  PH_WEIGHT             = "unknown weight",
  PH_EYES               = "unknown eye color",
  PH_LOCATION           = "unknown location",
  PH_GLANCE             = "...",
  PH_TITLE              = "unknown title",
  PH_CURR               = "nothing currently",
  PH_INFO               = "no info available",
  PH_CLASS              = "unknown class",
  PH_RACE               = "unknown race",

  UNDEF_AGE             = "unknown age",
  UNDEF_EYES            = "nondescript",
  UNDEF_LOCATION        = "an unknown location",
  -- ------------------ - general formats
  FMT_APP_LOAD          = "%s (v%s) by %s loaded. Type %s for help.",
  FMT_APP_NAME          = "%s (v%s) by %s",
  FMT_BOND_NAME         = "%s, %s %s",
  FMT_MOTTO             = '"%s"',
  -- ------------------ - - formats for sizebuffs
  FMT_SB_PCT            = "%+d%%",
  FMT_SB_PCT_BRC        = "[%+d%%]",
  FMT_SB_PCT_BUFF       = "%+d%% (%s)",
  FMT_SB_BUFF_PCT       = "%s (%+d%%)",
  FMT_SB_BUFF           = "%s",
  FMT_SB_BUFF_BRC       = "[%s]",
  FMT_SB_BUFF_PCT_BRC   = "[%s, %+d%%]",
  FMT_HEIGHT_SIZE_BUFF  = "%s [%s, %+d%%]",
  FMT_SIZE_BUFF         = "%s [%+d%%]",
  FMT_SIZE_BUFF_SHORT   = "[%+d%%]",
  -- ------------------ - formats for cm/in/ft
  FMT_CM                = "%d cm",
  FMT_CM_FT_IN          = "%d cm (%d' %d\")",
  FMT_CM_IN             = "%d cm (%d\")",
  FMT_FT_IN             = "%d' %d\"",
  FMT_FT_IN_CM          = "%d' %d\" (%d cm)",
  FMT_IN                = "%d\"",
  FMT_IN_CM             = "%d\" (%d cm)",
  FMT_HEIGHT_PASSTHRU   = "%s",
  -- ------------------ - formats for kg/stone/lb
  FMT_KG                = "%d kg",
  FMT_KG_LB             = "%d kg (%d lb)",
  FMT_KG_ST_LB          = "%d kg (%d stone %d lb)",
  FMT_LB_KG             = "%d lb (%d kg)",

  FMT_LB_ST             = "%d lb (%d stone %d lb)",
  FMT_ST_LB             = "%d stone %d lb",
  FMT_ST_LB_KG          = "%d stone %d lb (%d kg)",
  FMT_ST_LB_LB_KG       = "%d stone %d lb (%d lb, or %d kg)",
  FMT_WEIGHT_PASSTHRU   = "%s",
  --------------------- - gender and pronouns -----------------------------------------------------------
  PRONOUN_TAGS          = "sopar",                      -- pronouns are language-dependent
                                                        -- english:
                                                        -- s = subject (nominative)     "[She] is laughing."
                                                        -- o = object                   "I called [her]."
                                                        -- p = possessive (determiner)  "[Her] eyes gleam."
                                                        -- a = absolute                 "That is [hers]."
                                                        -- r = reflexive                "She likes [herself]."
  GENDERS               = "THEY;NEUTER;FEMALE;MALE",    -- genders are language-dependent

  GENDER_MALE           = "Male",
  GENDER_ALIASES_MALE   = "male;boy;man;transman;trans man;transgender man;transmasc",
  GENDER_ADULT_MALE     = "snttbg;snt;genc;phagobl;phagobv;obv;srzobl",
  GENDER_PERSON_MALE    = "man",
  GENDER_CHILD_MALE     = "boy",

  PRONOUN_MALE_S        = "he",
  PRONOUN_MALE_O        = "him",
  PRONOUN_MALE_P        = "his",
  PRONOUN_MALE_A        = "his",
  PRONOUN_MALE_R        = "himself",

  GENDER_FEMALE         = "Female",
  GENDER_ALIASES_FEMALE = "female;girl;woman;lesbian;trans woman;transwoman;transgender woman;lady",
  GENDER_ADULT_FEMALE   = "ovgpu;qlxr;shgn;shgnanev;furznyr;fur-znyr;genaal;qvpxtvey",
  GENDER_PERSON_FEMALE  = "woman",
  GENDER_CHILD_FEMALE   = "girl",

  PRONOUN_FEMALE_S      = "she",
  PRONOUN_FEMALE_O      = "her",
  PRONOUN_FEMALE_P      = "her",
  PRONOUN_FEMALE_A      = "hers",
  PRONOUN_FEMALE_R      = "herself",

  GENDER_NEUTER         = "Neuter",
  GENDER_ALIASES_NEUTER = "neuter;agender;non-gendered;nongendered;robot;eunuch",
  GENDER_ADULT_NEUTER   = "gbnfgre",
  GENDER_PERSON_NEUTER  = "person",
  GENDER_CHILD_NEUTER   = "child",

  PRONOUN_NEUTER_S      = "it",
  PRONOUN_NEUTER_O      = "it",
  PRONOUN_NEUTER_P      = "its",
  PRONOUN_NEUTER_A      = "its",
  PRONOUN_NEUTER_R      = "itself",

  GENDER_THEY           = "Non-Binary",
  GENDER_ALIASES_THEY   = "non-binary;nonbinary;enby;enbie;genderqueer;genderfluid",
  GENDER_ADULT_THEY     = "traqreshpx", 
  GENDER_PERSON_THEY    = "person",
  GENDER_CHILD_THEY     = "child",

  PRONOUN_THEY_S        = "they",
  PRONOUN_THEY_O        = "them",
  PRONOUN_THEY_P        = "their",
  PRONOUN_THEY_A        = "theirs",
  PRONOUN_THEY_R        = "themselves",

  EXTRA_PRONOUN_SETS    = "SPIVAK;ELVERSON;HOU;THON;VE;XE;BORNSTEIN;HIR;ZIR;ZES;MER;PER;ZHE;PEH;HUMANIST",
                          -- based on https://en.wikipedia.org/wiki/Third-person_pronoun

  PRONOUN_SPIVAK_S      = "E",
  PRONOUN_SPIVAK_O      = "Em",
  PRONOUN_SPIVAK_P      = "Eir",
  PRONOUN_SPIVAK_A      = "Eirs",
  PRONOUN_SPIVAK_R      = "Emself",

  PRONOUN_ELVERSON_S    = "ey",
  PRONOUN_ELVERSON_O    = "em",
  PRONOUN_ELVERSON_P    = "eir",
  PRONOUN_ELVERSON_A    = "eirs",
  PRONOUN_ELVERSON_R    = "emself",

  PRONOUN_HOU_S         = "hou",
  PRONOUN_HOU_O         = "hee",
  PRONOUN_HOU_P         = "hy",
  PRONOUN_HOU_A         = "hine",
  PRONOUN_HOU_R         = "hyself",

  PRONOUN_THON_S        = "thon",
  PRONOUN_THON_O        = "thon",
  PRONOUN_THON_P        = "thons",
  PRONOUN_THON_A        = "thons",
  PRONOUN_THON_R        = "thonself",

  PRONOUN_VE_S          = "ve",
  PRONOUN_VE_O          = "ver",
  PRONOUN_VE_P          = "vis",
  PRONOUN_VE_A          = "vis",
  PRONOUN_VE_R          = "verself",

  PRONOUN_XE_S          = "xe",
  PRONOUN_XE_O          = "xem",
  PRONOUN_XE_P          = "xyr",
  PRONOUN_XE_A          = "xyrs",
  PRONOUN_XE_R          = "xemself",

  PRONOUN_BORNSTEIN_S   = "ze",
  PRONOUN_BORNSTEIN_O   = "hir",
  PRONOUN_BORNSTEIN_P   = "hir",
  PRONOUN_BORNSTEIN_A   = "hirs",
  PRONOUN_BORNSTEIN_R   = "hirself",

  PRONOUN_HIR_S         = "sie",
  PRONOUN_HIR_O         = "hir",
  PRONOUN_HIR_P         = "hir",
  PRONOUN_HIR_A         = "hirs",
  PRONOUN_HIR_R         = "hirself",

  PRONOUN_ZIR_S         = "zie",
  PRONOUN_ZIR_O         = "zir",
  PRONOUN_ZIR_P         = "zir",
  PRONOUN_ZIR_A         = "zirs",
  PRONOUN_ZIR_R         = "zirself",

  PRONOUN_ZES_S         = "ze",
  PRONOUN_ZES_O         = "zem",
  PRONOUN_ZES_P         = "zes",
  PRONOUN_ZES_A         = "zes",
  PRONOUN_ZES_R         = "zemself",

  PRONOUN_MER_S         = "ze",
  PRONOUN_MER_O         = "mer",
  PRONOUN_MER_P         = "zer",
  PRONOUN_MER_A         = "zers",
  PRONOUN_MER_R         = "zemself",

  PRONOUN_PER_S         = "per",
  PRONOUN_PER_O         = "per",
  PRONOUN_PER_P         = "per",
  PRONOUN_PER_A         = "pers",
  PRONOUN_PER_R         = "perself",

  PRONOUN_ZHE_S         = "zhe",
  PRONOUN_ZHE_O         = "zhim",
  PRONOUN_ZHE_P         = "zher",
  PRONOUN_ZHE_A         = "zhers",
  PRONOUN_ZHE_R         = "zhimself",

  PRONOUN_PEH_S         = "peh",
  PRONOUN_PEH_O         = "pehm",
  PRONOUN_PEH_P         = "peh",
  PRONOUN_PEH_A         = "peh's",
  PRONOUN_PEH_R         = "pehself",

  PRONOUN_HUMANIST_S    = "hu",
  PRONOUN_HUMANIST_O    = "hum",
  PRONOUN_HUMANIST_P    = "hus",
  PRONOUN_HUMANIST_A    = "hus",
  PRONOUN_HUMANIST_R    = "humself",

  GENDER_UNKNOWN        = "Unknown",

  --------------------- - help --------------------------------------------------------------------------
  FMT_HELP              = "%s %s",

  HELP_PARAM_BLANK      = "",
  HELP_PARAM_LIST       = "list",
  HELP_PARAM_CHANGES    = "changes",
  HELP_PARAM_VERSION    = "version",
  HELP_PARAM_DUMP_SETTINGS = "dump settings",

  HELP_LIST_START       = "Available tags are:\n",
  HELP_LIST_END         = "\nFor help, type [[/rptags tag]].",
  HELP_ERROR            = "Unknown tag. Type [[/rptags list]] for a list.",
  -- ------------------ - help topics
  HELPTOPIC_DEFAULT          = 
[==[Available topics: [[intro]], [[[colors]]], [[recipes]], [[[settings]]], [[credits]], [[[links]]]

For a full list of tags in RPTAGS, type [[/rptags list]].
For help on a specific tag, type [[/rptags]] [[[tagname]]].
]==],
  HELPTOPIC_INTRO =
[==[[[Introduction:]]

]==],
  HELPTOPIC_SETTINGS = 
[==[[[Settings:]]

All settings are available through TRP3's setting menu.

[[Tag Display]] - when and how to display tags
[[Tag Formats]] - change the way certain tags are displayed
[[Extrapolation]] - try to programmatically determine unknown values
[[Field Sizes]] - set the maximum sizes for certain tags
[[Colors]] - choose custom colors for certain tags
[[Links]] - download and wiki web links, copyable
[[Demo UI]] - a demonstration UI for importing into ElvUI
]==],
  HELPTOPIC_CREDITS =
[==[[[Credits:]]

]==],
  HELPTOPIC_RECIPES =
[==[[[Basic Recipes:]]

These are some common uses of RPTAGS.

[rp:color][rp:name], [rp:title][nocolor]
[rp:eyecolor][rp:eyes] eyes[nocolor]
[rp:heightcolor][rp:height][rp:sizebuff], [rp:weightcolor][rp:weight]
[rp:agecolor][rp:age]
[rp:statuscolor][rp:ooc][rp:npc][nocolor] [rp:curr] ([rp:info])
[rp:gendercolor][rp:gender] [rp:hilite][rp:race] [rp:color][rp:class][nocolor]
[rp:profilesizecolor]Profile size: [rp:profilesize][nocolor]
]==],
  HELPTOPIC_LINKS =
[==[[[Links:]]

[[[http://tinyurl.com/rptags-curse]]] - download site
[[[http://tinyurl.com/rptags-tukui]]] - download site
[[[http://tinyurl.com/rptags-wiki]]] - wiki page with tutorial
[[[https://discord.gg/8sP9j]]] - discord invite
[[[http://twitter.com/oraibimoonguard]]] - dev's twitter

Clickable links can be found in TRP3 configuration.
]==],
  HELPTOPIC_COLOR =
[==[[[Color Tags:]]

All color tags change the text color until the end of the current tag set, or another color tag is used. Many of the colors can be changed in settings.

[rp:color], [rp:namecolor], [rp:classcolor] - TRP3 class/name color
[rp:eyecolor] - TRP3 eye color
[rp:gendercolor] - based on IC gender, not character model
[rp:statuscolor] - based on in-character, out-of-character, or NPC
[rp:profilesizecolor] - based on size of the profile (green for small, red for large)

[[[Comparisons:]]]

[rp:agecolor] - relative to your own age
[rp:heightcolor] - relative to your own height
[rp:weightcolor] - relative to your own weight
[nocolor] - cancels previous color tags
]==],
  HELPTOPIC_NAME =
[==[[[Name Tags:]]

[rp:name] - in-character name
[rp:firstname], [rp:lastname], [rp:fullname] - first, last, and full names
[rp:nick] - nickname
[name] - standard ElvUI tag for game name

[[[Colors:]]] [rp:namecolor] - the TRP3 class/name color
]==],
  HELPTOPIC_TITLE =
[==[[[Title Tags:]]

[rp:title] - character's short title (not in-game title)
[rp:fulltitle] - character's larger title
]==],
  HELPTOPIC_PLACE =
[==[[[Location Tags:]]

[rp:home] - character's home
[rp:birthplace] - character's birthplace
]==],
  HELPTOPIC_STATUS = 
[==[[[Status Tags:]]

[rp:curr], [rp:currently] - character's "currently" setting
[rp:info], [rp:oocinfo] - character's out-of-character "info" setting
[rp:status] - in character, out of character, or NPC status
[rp:ic], [rp:ooc], [rp:npc] - only displays if the status matches

[[[Colors:]]] [rp:statuscolor] - based on IC/OOC/NPC status
]==],
  HELPTOPIC_CLASS_RACE  =
[==[[[Class and Race Tags:]]

[rp:class] - character's IC class (not necessarily game class)
[rp:race] - character's IC race (not necessarily game race)
[class] - standard ElvUI tag for game class
[race] - standard ElvUI tag for game race
]==],
  HELPTOPIC_AGE         =
[==[[[Age Tags:]]

[rp:age] - character's age
[rp:years] - character's age in years

[[[Colors:]]] [rp:agecolor] - relative to your own age
]==],
  HELPTOPIC_EYES        =
[==[[[Eyes Tags:]]

[rp:eyes] - color of the character's eyes (a word or description)

[[[Colors:]]] [rp:eyecolor] - color as set by the character in TRP3.
]==],
  HELPTOPIC_SIZE        =
[==[[[Size Tags:]]

[rp:height] - character's height
[rp:weight] - character's weight
[rp:sizebuff] - any buffs or debuffs affecting the model scale

[[[Colors:]]] [rp:heightcolor], [rp:weightcolor] - relative to your height and weight
]==],
  HELPTOPIC_GLANCE      =
[==[[[At First Glance Tags:]]

[rp:glance] - lists the titles for all glances
[rp:glance-1], [rp:glance-2], etc - title for glance 1, 2, etc
[rp:glance-full] - lists titles and values for all glances
[rp:glance-1-full], etc - title and value for glance 1, etc
]==],
  HELPTOPIC_GENDER      =
[==[[[Gender Tags:]]

[rp:gender] - character's IC gender, may not match model
[rp:pronouns] - character's preferred pronouns
[sex] - standard ElvUI tag for model gender

[[[Colors:]]] [rp:gendercolor] - based on the IC gender
]==],
  HELPTOPIC_PRONOUNS = 
[==[[[Pronoun Tags:]]

Pronoun tags are a single letter; to use an uppercase pronoun, capitalize that letter. If the character has an [rp:pronouns] miscellaneous field set, those will be used, and if not the default pronouns for the character's [rp:gender].

RPTAGS recognizes standard pronouns plus a number of other pronoun types such as Spivak or Bornstein.

[rp:s], [rp:S] - subjective pronouns: [[he]], [[[she]]], [[they]], [[[it]]]
[rp:o], [rp:O] - objective pronouns: [[him]], [[[her]], [[them]], [[[it]]]
[rp:p], [rp:P] - possessive pronouns: [[his]], [[[her]]], [[their]], [[[its]]]]
[rp:a], [rp:A] - absolute pronouns: [[his]], [[[hers]]], [[theirs]], [[[its]]]
[rp:r], [rp:R] - reflexive pronouns: [[himself]], [[[herself]]], [[themselves]], [[[itself]]]
]==],
  HELPTOPIC_MISC        =
[==[[[Miscellaneous Tags:]]

[rp:motto], [rp:housename], [rp:nickname] - standard TRP3 fields
[rp:physiognomy], [rp:piercings], [rp:tattoos] - standard TRP3 fields
[rp:house], [rp:family], [rp:tribe] - alternate tags for housename
[rp:markings] - alternate tag for tattoos
[rp:rstatus] - relationship/romantic status
[rp:alignment], [rp:sexuality], [rp:hair], [rp:religion], [rp:birthday], [rp:faceclaim], [rp:voiceclaim] - other recognized fields
]==],
  HELPTOPIC_ICON        =
[==[[[Icon Tags:]]

[rp:icon] - character's TRP3 icon
[rp:gendericon] - character's RP gender icon
[rp:glanceicon-1], [rp:glanceicon-2], etc - character's at-first-glance icon 1, 2, etc
[rp:statusicon] - character's IC/OOC status icon
]==],
  HELPTOPIC_FORMAT      =
[==[[[Formatting Tags:]]

[br] - inserts a newline
[p] - inserts a blank line (two newlines)
]==],
  HELPTOPIC_CLIENT      =
[==[[[Client Tags:]]

[rp:profilesize] - size of the character's "about" entry, in TRP3 blocks

[[[Colors:]]] [rp:profilesizecolor] - more red for large profiles, more green for smaller
]==],
  HELPTOPIC_PSYCH       =
[==[[[Slider Tags:]]

These give the value of the associated slider. You can change the format in settings.

[rp:ethos] - [rp:chaotic] - [rp:lawful]
[rp:libido] - [rp:lustful] - [rp:chaste]
[rp:revenge] - [rp:forgiving] - [rp:vindictive]
[rp:kindness] - [rp:altruistic] - [rp:selfish]
[rp:honesty] - [rp:truthful] - [rp:deceitful]
[rp:violence] - [rp:gentle] - [rp:brutal]
[rp:reason] - [rp:superstitious] - [rp:rational]
[rp:example] - [rp:renegade] - [rp:paragon]
[rp:danger] - [rp:cautious] - [rp:impulsive]
[rp:lifestyle] - [rp:ascetic] - [rp:bonvivant]
[rp:courage] - [rp:valorous] - [rp:spineless]
]==],
}
  -- end of enUS ------------------------------------------------------------------------------------------------

