-- ------------------------------------------------------------------------------
-- RP Tags for ElvUI and Total RP 3
-- by Oraibi, Moon Guard (US) server
--
-- Ora's twitter: http://twitter.com/oraibimoonguard
-- Download site: http://tinyurl.com/rptags-tukui
-- Documentation: http://tinyurl.com/rptags-wiki
--
-- ------------------------------------------------------------------------------
--
-- This work is licensed under the Creative Commons Attribution 4.0 International
-- (CC BY 4.0) license. To view a copy of the license, visit
--
--     https://creativecommons.org/licenses/by/4.0/
--
-- This license is acceptable for Free Cultural Works.
--
-- You are free to:
--
-- Share -- copy and redistribute the material in any medium or format
-- Adapt -- remix, transform, and build upon the material
--         for any purpose, even commercially.
-- 
-- The licensor cannot revoke these freedoms as long as you follow the 
-- license terms.
-- 
-- Under the following terms:
-- Attribution -- You must give appropriate credit, provide a link to the
--         license, and indicate if changes were made. You may do
--         so in any reasonable manner, but not in any way that
--         suggests the licensor endorses you or your use.
--
-- No additional restrictions -- You may not apply legal terms or
--         technological measures that legally restrict others from doing
--         anything the license permits.
--
-- Notices:
--
-- You do not have to comply with the license for elements of the material
-- in the public domain or where your use is permitted by an applicable
-- exception or limitation.
--
-- No warranties are given. The license may not give you all of the
-- permissions necessary for your intended use. For example, other rights
-- such as publicity, privacy, or moral rights may limit how you use the
-- material.
-- ------------------------------------------------------------------------------

  -- Tags-Character: tags to return character information

local RPTAGS      = RPTAGS;
local Utils       = RPTAGS.utils;
local Get         = RPTAGS.get;
local rpTag       = Utils.tags.rpTag;
local Text        = Get.text;

      -- directly get a value via Get.core
local profileSize = Get.core.profileSize;

      -- Text values
local age         = Text.age;
local birthplace  = Text.birthplace;
local class       = Text.class;
local curr        = Text.curr;
local eyes        = Text.eyes;
local firstname   = Text.firstname;
local fulltitle   = Text.fulltitle;
local gender      = Text.gender;
local height      = Text.height;
local home        = Text.home;
local ic          = Text.ic;
local info        = Text.info;
local lastname    = Text.lastname;
local name        = Text.name;
local npc         = Text.npc;
local ooc         = Text.ooc;
local race        = Text.race;
local sizebuff    = Text.sizebuff;
local status      = Text.status;
local title       = Text.title;
local weight      = Text.weight;
local years       = Text.years;

rpTag("age",                 "AGE", function(u) return age(u);          end);
rpTag("birthplace",        "PLACE", function(u) return birthplace(u);   end);
rpTag("class",        "CLASS_RACE", function(u) return class(u);        end);
rpTag("curr",             "STATUS", function(u) return curr(u);         end);
rpTag("currently",           false, function(u) return curr(u);         end);
rpTag("eyes",               "EYES", function(u) return eyes(u);         end);
rpTag("firstname",           false, function(u) return firstname(u);    end);
rpTag("fullname",           "NAME", function(u) return name(u);         end);
rpTag("fulltitle",           false, function(u) return fulltitle(u);    end);
rpTag("gender",           "GENDER", function(u) return gender(u);       end);
rpTag("height",             "SIZE", function(u) return height(u);       end);
rpTag("home",              "PLACE", function(u) return home(u);         end);
rpTag("ic",               "STATUS", function(u) return ic(u);           end);
rpTag("info",             "STATUS", function(u) return info(u);         end);
rpTag("lastname",            false, function(u) return lastname(u);     end);
rpTag("name",               "NAME", function(u) return name(u);         end);
rpTag("name-first",          false, function(u) return firstname(u);    end);
rpTag("name-full",           false, function(u) return name(u);         end);
rpTag("name-last",           false, function(u) return lastname(u);     end);
rpTag("npc",              "STATUS", function(u) return npc(u);          end);
rpTag("ooc",              "STATUS", function(u) return ooc(u);          end);
rpTag("oocinfo",             false, function(u) return info(u);         end);
rpTag("profilesize",      "CLIENT", function(u) return profileSize(u);  end);
rpTag("race",         "CLASS_RACE", function(u) return race(u);         end);
rpTag("residence",           false, function(u) return home(u);         end);
rpTag("sex",              "GENDER", function(u) return gender(u);       end);
rpTag("sizebuff",           "SIZE", function(u) return sizebuff(u);     end);
rpTag("status",           "STATUS", function(u) return status(u);       end);
rpTag("title",             "TITLE", function(u) return title(u);        end);
rpTag("title-full",          false, function(u) return fulltitle(u);    end);
rpTag("title-long",          false, function(u) return fulltitle(u);    end);
rpTag("title-short",         false, function(u) return title(u);        end);
rpTag("weight",             "SIZE", function(u) return weight(u);       end);
rpTag("years",               "AGE", function(u) return years(u);        end);
rpTag("years-ago",           "AGE", function(u) return years(u, "ago"); end);
rpTag("years-old",           "AGE", function(u) return years(u, "old"); end);
