-- ------------------------------------------------------------------------------
-- RP Tags for ElvUI and Total RP 3
-- by Oraibi, Moon Guard (US) server
--
-- Ora's twitter: http://twitter.com/oraibimoonguard
-- Download site: http://tinyurl.com/rptags-tukui
-- Documentation: http://tinyurl.com/rptags-wiki
--
-- ------------------------------------------------------------------------------
--
-- This work is licensed under the Creative Commons Attribution 4.0 International
-- (CC BY 4.0) license. To view a copy of the license, visit
--
--     https://creativecommons.org/licenses/by/4.0/
--
-- This license is acceptable for Free Cultural Works.
--
-- You are free to:
--
-- Share -- copy and redistribute the material in any medium or format
-- Adapt -- remix, transform, and build upon the material
--         for any purpose, even commercially.
-- 
-- The licensor cannot revoke these freedoms as long as you follow the 
-- license terms.
-- 
-- Under the following terms:
-- Attribution -- You must give appropriate credit, provide a link to the
--         license, and indicate if changes were made. You may do
--         so in any reasonable manner, but not in any way that
--         suggests the licensor   endorses you or your use.
--
-- No additional restrictions  You may not apply legal terms or
--         technological measures that legally restrict others from doing
--         anything the license permits.
--
-- Notices:
--
-- You do not have to comply with the license for elements of the material
-- in the public domain or where your use is permitted by an applicable
-- exception or limitation.
--
-- No warranties are given. The license may not give you all of the
-- permissions necessary for your intended use. For example, other rights
-- such as publicity, privacy, or moral rights may limit how you use the
-- material.
-- ------------------------------------------------------------------------------

  -- Tags-Colors: tags for changing the text color

local RPTAGS      = RPTAGS;
local Utils       = RPTAGS.utils;
local Color       = RPTAGS.get.color;
local rpTag       = Utils.tags.rpTag;
local name        = Color.name;
local eye         = Color.eye;
local gender      = Color.gender;
local status      = Color.status;
local age         = Color.age;
local weight      = Color.weight;
local height      = Color.height;
local profileSize = Color.profileSize;
local hilite      = Color.hilite;

rpTag("agecolor",          "COLOR", function(u) return age(u);         end);
rpTag("classcolor",        "COLOR", function(u) return name(u);        end);
rpTag("color",             "COLOR", function(u) return name(u);        end);
rpTag("eyecolor",          "COLOR", function(u) return eye(u);         end);
rpTag("gendercolor",       "COLOR", function(u) return gender(u);      end); 
rpTag("heightcolor",       "COLOR", function(u) return height(u);      end);
rpTag("hilite",            "COLOR", function()  return hilite();       end);
rpTag("hilite-1",            false, function()  return hilite(1);      end);
rpTag("hilite-2",            false, function()  return hilite(2);      end);
rpTag("hilite-3",            false, function()  return hilite(3);      end);
rpTag("hilitecolor",         false, function()  return hilite();       end);
rpTag("hilitecolor-1",       false, function()  return hilite(1);      end);
rpTag("hilitecolor-2",       false, function()  return hilite(2);      end);
rpTag("hilitecolor-3",       false, function()  return hilite(3);      end);
rpTag("namecolor",         "COLOR", function(u) return name(u);        end);
rpTag("profilesizecolor",  "COLOR", function(u) return profileSize(u); end);
rpTag("sexcolor",          "COLOR", function(u) return gender(u);      end); 
rpTag("statuscolor",       "COLOR", function(u) return status(u);      end); 
rpTag("weightcolor",       "COLOR", function(u) return weight(u);      end);
