-- ------------------------------------------------------------------------------
-- RP Tags for ElvUI and Total RP 3
-- by Oraibi, Moon Guard (US) server
--
-- Ora's twitter: http://twitter.com/oraibimoonguard
-- Download site: http://tinyurl.com/rptags-tukui
-- Documentation: http://tinyurl.com/rptags-wiki
--
-- ------------------------------------------------------------------------------
--
-- This work is licensed under the Creative Commons Attribution 4.0 International
-- (CC BY 4.0) license. To view a copy of the license, visit
--
--     https://creativecommons.org/licenses/by/4.0/
--
-- This license is acceptable for Free Cultural Works.
--
-- You are free to:
--
-- Share -- copy and redistribute the material in any medium or format
-- Adapt -- remix, transform, and build upon the material
--         for any purpose, even commercially.
-- 
-- The licensor cannot revoke these freedoms as long as you follow the 
-- license terms.
-- 
-- Under the following terms:
-- Attribution -- You must give appropriate credit, provide a link to the
--         license, and indicate if changes were made. You may do
--         so in any reasonable manner, but not in any way that
--         suggests the licensor endorses you or your use.
--
-- No additional restrictions -- You may not apply legal terms or
--         technological measures that legally restrict others from doing
--         anything the license permits.
--
-- Notices:
--
-- You do not have to comply with the license for elements of the material
-- in the public domain or where your use is permitted by an applicable
-- exception or limitation.
--
-- No warranties are given. The license may not give you all of the
-- permissions necessary for your intended use. For example, other rights
-- such as publicity, privacy, or moral rights may limit how you use the
-- material.
-- ------------------------------------------------------------------------------

-- Tags-Glance: tags to display at-first-glance fields
--
-- Flags:
--
--      no flag means display the title
--  -all  means display all five
--  -full means display icon, title, and text
--  -text means display only the text
--  -icon means display only the icon ( function is in tags-color.lua)
--
--  Paramters to glance():
--    glance number to display (0 = all)
--    unit
--    show title (boolean)
--    show text (boolean)
--    show icon (boolean)

local RPTAGS      = RPTAGS;
local Utils       = RPTAGS.utils;
local Get         = RPTAGS.get;

local rpTag       = Utils.tags.rpTag;
local glance      = Get.text.glance;

rpTag("glance",           "GLANCE", function(u) return glance(0, u, true,  false, false); end);
rpTag("glance-all",          false, function(u) return glance(0, u, true,  false, true);  end);
rpTag("glance-full",         false, function(u) return glance(0, u, true,  true, true);   end);
rpTag("glance-all-full",     false, function(u) return glance(0, u, true,  true, true);   end);
rpTag("glance-1",            false, function(u) return glance(1, u, true,  false);        end);
rpTag("glance-1-full",       false, function(u) return glance(1, u, true,  true, true);   end);
rpTag("glance-1-text",       false, function(u) return glance(1, u, false, true);         end);
rpTag("glance-2",            false, function(u) return glance(2, u, true,  false);        end);
rpTag("glance-2-full",       false, function(u) return glance(2, u, true,  true, true);   end);
rpTag("glance-2-text",       false, function(u) return glance(2, u, false, true);         end);
rpTag("glance-3",            false, function(u) return glance(3, u, true,  false);        end);
rpTag("glance-3-full",       false, function(u) return glance(3, u, true,  true, true);   end);
rpTag("glance-3-text",       false, function(u) return glance(3, u, false, true);         end);
rpTag("glance-4",            false, function(u) return glance(4, u, true,  false);        end);
rpTag("glance-4-full",       false, function(u) return glance(4, u, true,  true, true);   end);
rpTag("glance-4-text",       false, function(u) return glance(4, u, false, true);         end);
rpTag("glance-5",            false, function(u) return glance(5, u, true,  false);        end);
rpTag("glance-5-full",       false, function(u) return glance(5, u, true,  true, true);   end);
rpTag("glance-5-text",       false, function(u) return glance(5, u, false, true);         end);
