-- ------------------------------------------------------------------------------
-- RP Tags for ElvUI and Total RP 3
-- by Oraibi, Moon Guard (US) server
--
-- Ora's twitter: http://twitter.com/oraibimoonguard
-- Download site: http://tinyurl.com/rptags-tukui
-- Documentation: http://tinyurl.com/rptags-wiki
--
-- ------------------------------------------------------------------------------
--
-- This work is licensed under the Creative Commons Attribution 4.0 International
-- (CC BY 4.0) license. To view a copy of the license, visit
--
--     https://creativecommons.org/licenses/by/4.0/
--
-- This license is acceptable for Free Cultural Works.
--
-- You are free to:
--
-- Share -- copy and redistribute the material in any medium or format
-- Adapt -- remix, transform, and build upon the material
--         for any purpose, even commercially.
-- 
-- The licensor cannot revoke these freedoms as long as you follow the 
-- license terms.
-- 
-- Under the following terms:
-- Attribution -- You must give appropriate credit, provide a link to the
--         license, and indicate if changes were made. You may do
--         so in any reasonable manner, but not in any way that
--         suggests the licensor endorses you or your use.
--
-- No additional restrictions -- You may not apply legal terms or
--         technological measures that legally restrict others from doing
--         anything the license permits.
--
-- Notices:
--
-- You do not have to comply with the license for elements of the material
-- in the public domain or where your use is permitted by an applicable
-- exception or limitation.
--
-- No warranties are given. The license may not give you all of the
-- permissions necessary for your intended use. For example, other rights
-- such as publicity, privacy, or moral rights may limit how you use the
-- material.
-- ------------------------------------------------------------------------------

-- Tags-Icons: tags to create UI escape codes to display inline textures
--
-- Other tags using glance() are in tags-glance.lua

local RPTAGS  = RPTAGS;
local Utils   = RPTAGS.utils;
local Get     = RPTAGS.get;

local rpTag   = Utils.tags.rpTag;
local glances = Get.icon.glances;
local unit    = Get.icon.unit;
local glance  = Get.text.glance;
local gender  = Get.icon.gender;
local status  = Get.icon.status;

rpTag("gendericon",    false, function(u) return gender(u);                        end);
rpTag("glance-1-icon", false, function(u) return glance(1, u, false, false, true); end);
rpTag("glance-2-icon", false, function(u) return glance(2, u, false, false, true); end);
rpTag("glance-3-icon", false, function(u) return glance(3, u, false, false, true); end);
rpTag("glance-4-icon", false, function(u) return glance(4, u, false, false, true); end);
rpTag("glance-5-icon", false, function(u) return glance(5, u, false, false, true); end);
rpTag("glance-icons",  false, function(u) return glances(u);                       end);
rpTag("icon",         "ICON", function(u) return unit(u);                          end);
rpTag("icon-gender",   false, function(u) return gender(u);                        end);
rpTag("icon-glance",   false, function(u) return glances(u);                       end);
rpTag("icon-glance-1", false, function(u) return glance(1, u, false, false, true); end);
rpTag("icon-glance-2", false, function(u) return glance(2, u, false, false, true); end);
rpTag("icon-glance-3", false, function(u) return glance(3, u, false, false, true); end);
rpTag("icon-glance-4", false, function(u) return glance(4, u, false, false, true); end);
rpTag("icon-glance-5", false, function(u) return glance(5, u, false, false, true); end);
rpTag("icon-status",   false, function(u) return status(u);                        end);
rpTag("statusicon",    false, function(u) return status(u);                        end);
