-- ------------------------------------------------------------------------------
-- RP Tags for ElvUI and Total RP 3
-- by Oraibi, Moon Guard (US) server
--
-- Ora's twitter: http://twitter.com/oraibimoonguard
-- Download site: http://tinyurl.com/rptags-tukui
-- Documentation: http://tinyurl.com/rptags-wiki
--
-- ------------------------------------------------------------------------------
--
-- This work is licensed under the Creative Commons Attribution 4.0 International
-- (CC BY 4.0) license. To view a copy of the license, visit
--
--     https://creativecommons.org/licenses/by/4.0/
--
-- This license is acceptable for Free Cultural Works.
--
-- You are free to:
--
-- Share -- copy and redistribute the material in any medium or format
-- Adapt -- remix, transform, and build upon the material
--         for any purpose, even commercially.
-- 
-- The licensor cannot revoke these freedoms as long as you follow the 
-- license terms.
-- 
-- Under the following terms:
-- Attribution -- You must give appropriate credit, provide a link to the
--         license, and indicate if changes were made. You may do
--         so in any reasonable manner, but not in any way that
--         suggests the licensor endorses you or your use.
--
-- No additional restrictions -- You may not apply legal terms or
--         technological measures that legally restrict others from doing
--         anything the license permits.
--
-- Notices:
--
-- You do not have to comply with the license for elements of the material
-- in the public domain or where your use is permitted by an applicable
-- exception or limitation.
--
-- No warranties are given. The license may not give you all of the
-- permissions necessary for your intended use. For example, other rights
-- such as publicity, privacy, or moral rights may limit how you use the
-- material.
-- ------------------------------------------------------------------------------

  -- Utils-Locale: Utilities for localizing text strings
  --
  -- List of functions at the end

local RPTAGS     = RPTAGS;
local Const      = RPTAGS.const;
local Utils      = RPTAGS.utils;

if not Utils.locale then Utils.locale = {}; end;
local Loc = Utils.locale;

      -- localization
local function loc(k)  local lang = "enUS"; return RPTAGS.locale[lang][Const.LOC .. k]  or ""; end; 
local function floc(f) local lang = "enUS"; return RPTAGS.locale[lang][Const.FLOC .. f] or ""; end; 

-- local function newLoc(k)
--         local lang = "enUS";
--         local point = RPTAGS.newLocale[lang];
-- 
--         local parts = split(k, "/");
--         for i, v in ipairs(parts) do
--             if point[v] == nil then return k .. " nil " .. v; end;
--             if i == #parts and type(point[v]) == "table" then return k .. " table" .. v, nil; end;
--             if i == #parts and type(point[v]) == "string" then return point[v], true; end;
--             if type(point[v]) == "string" then return k .. " string " .. v, nil; end;
--             point = point[v];
--         end; -- for
--         return k; -- not found
-- end; Utils.new.loc = newLoc;
--
local function newLoc(k)
      local lang = "enUS";
      local translation = RPTAGS.newLocale[lang][k];
      if translation then return translation, true
                     else if debug then print("Ora, I can't translate: ", translation); end;
                          return "", false
                     end; -- if

end; 

local function newFloc(f, ...) -- localize a format
        local locF, found = loc("FMT/" .. f);
        if not found then return f, nil; end;
        return string.format(locF, ...);
end;  

-- Functions available under RPTAGS.utils.locale
--
Loc.loc     = loc;
Loc.floc    = floc;
Loc.newLoc  = newLoc;
Loc.newFloc = newFloc;
-- Loc.Loc  = newLoc; 
-- Loc.Floc = newFloc;
