-- ------------------------------------------------------------------------------
-- RP Tags for ElvUI and Total RP 3
-- by Oraibi, Moon Guard (US) server
--
-- Ora's twitter: http://twitter.com/oraibimoonguard
-- Download site: http://tinyurl.com/rptags-tukui
-- Documentation: http://tinyurl.com/rptags-wiki
--
-- ------------------------------------------------------------------------------
--
-- This work is licensed under the Creative Commons Attribution 4.0 International
-- (CC BY 4.0) license. To view a copy of the license, visit
--
--     https://creativecommons.org/licenses/by/4.0/
--
-- This license is acceptable for Free Cultural Works.
--
-- You are free to:
--
-- Share -- copy and redistribute the material in any medium or format
-- Adapt -- remix, transform, and build upon the material
--         for any purpose, even commercially.
-- 
-- The licensor cannot revoke these freedoms as long as you follow the 
-- license terms.
-- 
-- Under the following terms:
-- Attribution -- You must give appropriate credit, provide a link to the
--         license, and indicate if changes were made. You may do
--         so in any reasonable manner, but not in any way that
--         suggests the licensor endorses you or your use.
--
-- No additional restrictions -- You may not apply legal terms or
--         technological measures that legally restrict others from doing
--         anything the license permits.
--
-- Notices:
--
-- You do not have to comply with the license for elements of the material
-- in the public domain or where your use is permitted by an applicable
-- exception or limitation.
--
-- No warranties are given. The license may not give you all of the
-- permissions necessary for your intended use. For example, other rights
-- such as publicity, privacy, or moral rights may limit how you use the
-- material.
-- ------------------------------------------------------------------------------
--
-- Utils-Scaling: Utilities for scaling toons
-- full list of available functions at the end
--
-- NOT FULLY IMPLEMENTED YET

local RPTAGS      = RPTAGS;
local Const       = RPTAGS.const;
local Utils       = RPTAGS.utils;

if not Utils.scaling then Utils.scaling = {} end;
local Scaling = Utils.scaling;

local isnum       = Utils.text.isnum;

local scalingData = Const.SCALING;

      -- takes three parameters, height (in cm), race, and gender (based on toon)
      -- returns height ratio / scaling factor, zoom level, y-offset, and success
local function scaleToon(height, race, gender)

      if not height or not race or not gender then return 1, 4, 0, false; end;

      if not scalingData[race]         then return 1, 4, 0, false; end;
      if not scalingData[race][gender] then return 1, 4, 0, false; end;

      if not isnum(height) 
         then return 1, scalingData[race][gender]["z"], 
                        scalingData[race][gender]["y"], 
                        false; 
         end; -- if

      local heightRatio = height / scalingData[race][gender]["h"];
      local modelZoom   = scalingData[race][gender]["z"] * heightRatio;

      return heightRatio, modelZoom, scalingData[race][gender]["y"], true;
end; 

-- functions available through RPTAGS.utils.scale
Scaling.scale = scaleToon;

