-- ------------------------------------------------------------------------------
-- RP Tags for ElvUI and Total RP 3
-- by Oraibi, Moon Guard (US) server
--
-- Ora's twitter: http://twitter.com/oraibimoonguard
-- Download site: http://tinyurl.com/rptags-tukui
-- Documentation: http://tinyurl.com/rptags-wiki
--
-- ------------------------------------------------------------------------------
--
-- This work is licensed under the Creative Commons Attribution 4.0 International
-- (CC BY 4.0) license. To view a copy of the license, visit
--
--     https://creativecommons.org/licenses/by/4.0/
--
-- This license is acceptable for Free Cultural Works.
--
-- You are free to:
--
-- Share -- copy and redistribute the material in any medium or format
-- Adapt -- remix, transform, and build upon the material
--  
--         for any purpose, even commercially.
-- 
-- The licensor cannot revoke these freedoms as long as you follow the 
-- license terms.
-- 
-- Under the following terms:
-- Attribution -- You must give appropriate credit, provide a link to the
--         license, and indicate if changes were made. You may do
--         so in any reasonable manner, but not in any way that
--         suggests the licensor endorses you or your use.
--
-- No additional restrictions -- You may not apply legal terms or
--         technological measures that legally restrict others from doing
--         anything the license permits.
--
-- Notices:
--
-- You do not have to comply with the license for elements of the material
-- in the public domain or where your use is permitted by an applicable
-- exception or limitation.
--
-- No warranties are given. The license may not give you all of the
-- permissions necessary for your intended use. For example, other rights
-- such as publicity, privacy, or moral rights may limit how you use the
-- material.
-- ------------------------------------------------------------------------------

  --

local RPTAGS = RPTAGS;
local Locale = RPTAGS.locale;

local inGameManual = "^1^T^N1^N1013^N2^S0806222224wa7tg^N3^T^SIN^T^Sdoc^T^STY^SDO^SLI^T^t^SMD^T^SMO^SNO^t^SHA^T^t^SHE^N600^SBT^b^SSC^T^t^SPA^T^N1^T^STX^S{p:c}{/p}~J~J{p:c}{/p}~J~J{p:c}{/p}~J~J{p:c}{/p}~J~J{p:c}{/p}~J~J{p:c}{/p}~J~J{p:c}{/p}~J~J{h1:c}[{col:7f00ff}rp:tags{/col}]~`User~`Manual{/h1}~J~J{p:c}{/p}~J~J{h3:c}by{/h3}~J~J{h2:c}Oraibi-MoonGuard{/h2}~J~J{p:c}{/p}~J~J{p:c}v~`0.808{/p}^t^N2^T^STX^S{h1:c}Table~`of~`Contents{/h1}~J~J3,~`Introduction~J~J4,~`Getting~`[rp:tags]~J~J5,~`Get~`Started!~J~J6,~`List~`of~`Tags,~`part~`1:~`Simple~`Text~J~J7,~`List~`of~`Tags,~`part~`2:~`Advanced~`Text~J~J8,~`List~`of~`Tags,~`part~`3:~`Colors~J~J9,~`List~`of~`Tags,~`part~`4:~`Icons~J~J10,~`Common~`Combos~J~J11,~`Configuration~`Options~J~J12,~`Help?~J~J13.~`Index^t^N3^T^STX^S{h1:c}Introduction{/h1}~J~J[rp:tags]~`is~`an~`add-on~`that~`serves~`as~`a~`bridge~`between~`ElvUI~`and~`total~`RP~`3.~`If~`that~`means~`nothing~`to~`you,~`continue~`reading!~J~JElvUI~`lets~`you~`create~`custom~`user~`interfaces,~`save~`them~`as~`profiles,~`and~`switch~`between~`them.~J~Jtotal~`RP~`3~`is~`a~`roleplaying~`add-on~`that~`is~`compatible~`with~`other~`RP~`add-ons.~`It~`lets~`you~`write~`a~`profile~`about~`your~`character~`so~`that~`people~`know~`who~`they~`are~`roleplaying~`with.~J~J[rp:tags]~`is~`a~`plug-in~`module~`for~`both~`totalRP3~`and~`ElvUI.~`It~`lets~`you~`create~`unitframes~`in~`ElvUI~`that~`are~`populated~`with~`data~`from~`trp3.~J~JUnit~`frames~`are~`the~`things~`that~`appear~`on~`your~`screen~`to~`give~`you~`information~`about~`various~`creatures~`or~`players~`in~`the~`game~`world.~`For~`[rp:tags]~`purposes,~`the~`\"target\"~`frame~`the~`most~`useful,~`but~`you~`can~`use~`the~`add-on~`with~`other~`unitframes~`too.~J~JWhen~`you~`click~`on~`something,~`say~`another~`player,~`you~`see~`information~`such~`as~`their~`name,~`their~`class,~`their~`race,~`their~`level,~`and~`so~`on.~J~JBut~`not~`all~`of~`that~`may~`be~`accurate~`in~`roleplaying~`terms.~`What~`if~`their~`race~`isn't~`their~`in-game~`race,~`or~`their~`class~`is~`something~`like~`\"barrister\"~`or~`\"sous~`chef\"?~J~J[rp:tags]~`lets~`you~`create~`more~`immersive~`user~`interfaces~`so~`that~`when~`you~`click~`on~`your~`target,~`you~`can~`get~`only~`the~`information~`that~`you~`really~`care~`about.~`It's~`fully~`customizable~`with~`regard~`to~`colors,~`layout,~`placement,~`size,~`font,~`and~`so~`on.~J~J{p:c}-~`Next:~`Getting~`[rp:tags]~`-{/p}^t^N4^T^STX^S{h1:c}Getting~`[rp:tags]{/h1}~J~JTo~`use~`[rp:tags]~`you~`need~`to~`have~`both~`total~`RP~`3~`and~`ElvUI~`installed.~`You~`can~`get~`trp3~`on~`Curse~`(but~`you~`probably~`have~`it~`if~`you're~`reading~`this~`book)~`and~`you~`can~`get~`ElvUI~`from~`tukui.org.~J~J[rp:tags]~`is~`currently~`available~`on~`both~`Curse~`and~`tukui.~`To~`install~`it,~`use~`the~`site's~`client,~`or~`manually~`download~`the~`add-on~`with~`these~`links:~J~J{col:00ff00}{link*http://tinyurl.com/rptags-curse*Curse~`Download~`Link}{/col}~J~J{col:00ff00}{link*http://tinyurl.com/rptags-tukui*Tukui~`Download~`Link}{/col}~J~J{p:c}-~`Next:~`Getting~`Started~`-{/p}^t^N5^T^STX^S{h1:c}Start~`Using~`[rp:tags]!{/h1}~J~JAssuming~`that~`you~`have~`everything~`installed,~`you~`should~`now~`be~`able~`to~`start~`changing~`things.~`~J~JElvUI~`probably~`gave~`you~`an~`ugly~`default~`user~`interface.~`The~`good~`news~`is~`you~`can~`customize~`it,~`and~`if~`you~`turn~`off~`ElvUI,~`your~`user~`interface~`goes~`back~`to~`the~`normal,~`stock~`Blizzard~`UI.~J~JIf~`you~`have~`[rp:tags]~`loaded,~`you~`can~`go~`to~`the~`trp3~`config~`screen~`and~`get~`a~`copy~`of~`a~`demo~`UI~`to~`try~`out.~`Or~`you~`can~`start~`making~`your~`own~`from~`scratch.~J~JYou~`need~`to~`open~`ElvUI's~`configuration~`screens~`first.~`There~`are~`several~`ways~`to~`do~`this,~`but~`you~`can~`just~`type~`/elvui~`and~`you~`will~`get~`the~`control~`panel~`for~`ElvUI.~J~JGo~`to~`Unit~`Frames,~`then~`to~`Target~`Frame.~`On~`Target~`Frame,~`choose~`the~`tab~`for~`\"Name\".~J~JThere~`is~`probably~`a~`default~`value~`for~`the~`name~`text~`that~`looks~`like:~`{col:000000}[namecolor][name]{/col}~J~JThese~`are~`two~`of~`the~`standard~`tags~`in~`ElvUI.~`They~`put~`your~`target's~`name~`in~`the~`unit~`frame,~`in~`whatever~`color~`ElvUI~`thinks~`it~`should~`be.~`Probably~`based~`on~`their~`class.~`~J~JWe're~`going~`to~`change~`it~`so~`it~`displays~`the~`roleplaying~`name~`of~`the~`target~`instead.~`Replace~`the~`contents~`of~`the~`field~`with:~J~J{col:000000}[rp:namecolor][rp:name]{/col}~J~JAll~`of~`the~`extra~`tags~`in~`[rp:tags]~`start~`with~`the~`rp:~`prefix.~J~JNow~`target~`something,~`such~`as~`yourself~`or~`another~`player~`with~`a~`roleplaying~`add-on.~`You'll~`see~`their~`name~`in~`the~`unit~`frame,~`displayed~`in~`a~`custom~`color~`--~`the~`same~`custom~`color~`that~`they~`can~`set~`in~`trp3~`for~`their~`profile.~J~JEasy,~`isn't~`it?~J~J{p:c}-~`Next:~`List~`of~`Tags,~`part~`1{/p}^t^N6^T^STX^S{h1:c}List~`of~`Tags{/h1}~J{h2:c}Part~`1:~`Simple~`Text{/h2}~J~JThese~`are~`tags~`that~`just~`take~`someone's~`roleplaying~`information~`from~`their~`profile~`and~`display~`it~`on~`the~`unit~`frame.~`You've~`already~`seen~`the~`{col:000000}[rp:name]{/col}~`tag~`on~`the~`last~`page!~J~J{h3}Name~`Tags{/h3}~J[rp:name]~`-~`RP~`~`name~J[rp:firstname]~`-~`first~`name~J[rp:lastname]~`~`-~`last~`name~J[rp:nickname]~`~`-~`nickname~`(if~`set)~J~J{h3}Class~`and~`Race~`Tags{/h3}~J[rp:class]~`-~`RP~`class~J[rp:race]~`-~`RP~`race~J~J{h3}Currently~`Tags{/h3}~J[rp:curr]~`-~`their~`\"currently\"~J[rp:info]~`-~`their~`OOC~`information~J~J{h3}Title~`and~`Motto~`Tags{/h3}~J[rp:title]~`-~`the~`short~`title~`that~`goes~`before~`their~`name~J[rp:longtitle]~`-~`the~`longer~`title~`that~`goes~`beneath~`their~`name~J[rp:motto]~`-~`their~`slogan~`or~`catchphrase~J~J{h3}Physical~`Appearance~`Tags{/h3}~J[rp:eyes],~`[rp:hair]~`-~`eye~`and~`hair~`colors~J[rp:physiognomy]~`-~`what~`their~`face~`or~`expression~`looks~`like~J[rp:piercings],~`[rp:tattoos],~`[rp:markings]~`~`-~`body~`art~J[rp:faceclaim],~`[rp:voiceclaim]~`-~`which~`actor~`they~`look~`or~`sound~`like~J~J{h3}Social~`Relationship~`Tags{/h3}~J[rp:family],~`[rp:house],~`[rp:tribe]~`--~`their~`family~`affiliation~J[rp:home],~`[rp:birthplace]~`-~`their~`current~`residence,~`and~`their~`original~`home~J[rp:religion],~`[rp:alignment]~`-~`religion~`and~`D&D-style~`alignment,~`if~`set~J[rp:sexuality],~`[rp:rstatus]~`-~`their~`sexual~`orientation~`and~`their~`relationship~`status~J[rp:birthday]~`-~`character's~`birthday~J~J{h3}Text~`Formatting~`Tags{/h3}~JYou~`can~`use~`the~`following~`to~`include~`blank~`lines~`in~`your~`text~`fields.~`These~`do~`NOT~`use~`the~`rp:~`prefix.~J~J[br]~`-~`continue~`one~`line~`down~J[p]~`-~`skip~`two~`lines,~`like~`a~`paragraph~`break~J~J{h3}Settings~`your~`own~`profile~`data{/h3}~JNearly~`all~`of~`these~`are~`set~`in~`trp3~`using~`the~`\"additional~`fields\"~`that~`can~`be~`set.~`Those~`which~`aren't~`already~`built~`in,~`[rp:tags]~`will~`try~`to~`figure~`them~`out~`with~`sensible~`guesses.~J~JWhere~`are~`height,~`weight,~`age,~`and~`so~`on?~`Read~`on~`for~`more!~J~J{p:c}-~`Next:~`Advanced~`Text~`~`-{/p}^t^N7^T^STX^S{h1:c}List~`of~`Tags{/h1}~J{h2:c}Part~`2:~`Advanced~`Text{/h2}~J~JThese~`tags~`are~`a~`litle~`more~`complicated~`because~`they~`don't~`just~`grab~`a~`value~`and~`display~`it,~`but~`instead~`they~`try~`to~`figure~`things~`out~`to~`show~`to~`you.~J~JTo~`enable~`that~`kind~`of~`analysis,~`go~`to~`the~`[rp:tags]~`settings~`page~`in~`trp3~`and~`turn~`on~`parsing~`of~`various~`values.~J~J{h3}Age~`Tags{/h3}~J[rp:age]~`-~`the~`age~`field~J[rp:years]~`-~`if~`parsing~`age~`is~`on,~`this~`will~`show~`[rp:tags]'s~`idea~`of~`the~`unit's~`age~`in~`years~J[rp:years-ago]~`-~`this~`displays~`the~`same,~`but~`with~`\"ago\"~`~`--~`\"30~`years~`ago\"~J[rp:years-old]~`-~`\"30~`years~`old\"~J~J{h3}Height~`and~`Weight~`Tags{/h3}~J[rp:height]~`-~`the~`character's~`height;~`~`if~`parsing~`is~`on,~`you~`can~`configure~`[rp:tags]~`to~`show~`you~`these~`in~`whatever~`units~`you~`prefer~J[rp:weight]~`-~`the~`character's~`weight;~`again,~`you~`can~`configure~`the~`output~`units~J[rp:sizebuffs]~`-~`if~`any~`long-lasting~`buffs~`(or~`debuffs)~`are~`affecting~`the~`unit's~`size,~`such~`as~`giant~`growth~`potions,~`again~`configurable~J~J{h3}Status~`Tags{/h3}~J[rp:status]~`--~`displays~`IC,~`OOC,~`or~`NPC~J[rp:ic]~`-~`only~`displays~`[IC]~`if~`the~`unit~`is~`in-character,~`otherwise~`nothing~J[rp:ooc]~`-~`only~`displays~`[OOC]~`if~`the~`unit~`is~`out~`of~`character~J[rp:npc]~`-~`only~`displays~`[NPC]~`if~`the~`unit~`is~`an~`non-player~`character~J~J{h3}Gender~`Tag{/h3}~J[rp:gender]~`-~`the~`unit's~`gender,~`which~`might~`not~`be~`the~`unit's~`actual~`in-game~`model;~`[rp:tags]~`will~`look~`at~`the~`custom~`\"gender\"~`field~`plus~`the~`\"race\"~`field.~`Recognizes~`non-binary~`genders~`as~`well.~J~J{h3}At-First-Glance~`Tags{/h3}~J[rp:glance]~`--~`displays~`the~`titles~`of~`the~`unit's~`at-first-glance~`fields;~`output~`is~`configurable~J[rp:glance-full]~`-~`displays~`all~`the~`titles~`and~`texts~J[rp:glance-1]~`-~`displays~`the~`title~`of~`one~`at-first-glance~`slot~J[rp:glance-2-text]~`-~`displays~`the~`text~`of~`one~`at-first-glance~`slot~J[rp:glance-3-full]~`-~`displays~`title~`and~`text~`of~`one~`at-first-glance~`slot~J~J{h3}Miscellaneous~`Tag{/h3}~J[rp:profilesize]~`-~`the~`size~`of~`the~`unit's~`profile,~`in~`trp3~`\"blocks\";~`configurable~`output~`format;~`you~`can~`tell~`if~`someone's~`profile~`is~`huge~`or~`small~`or~`what~J~J{h3}Labels!{/h3}~JNearly~`all~`text~`flags~`can~`take~`a~`label~`flag~`that~`looks~`like~`this:~J~J[rp:name-label]~J~JThis~`will~`do~`the~`following:~J(a)~`display~`a~`label~`for~`the~`field~`followed~`by~`a~`colon~`and~`a~`space;~J(b)~`display~`the~`value~`of~`the~`field;~J(c)~`NOT~`display~`either~`field~`or~`label~`if~`the~`field~`is~`blank~J~J{p:c}-~`Next~`Up:~`Color~`Tags{/p}^t^N8^T^STX^S{h1:c}List~`of~`Tags{/h1}~J{h2:c}Part~`3:~`Colors{/h2}~J~JYou~`can~`change~`the~`color~`of~`your~`text,~`including~`the~`output~`of~`tags,~`by~`using~`color~`tags.~`They~`change~`the~`color~`of~`the~`text~`until~`either~`the~`end~`of~`the~`text~`is~`reached,~`you~`reset~`the~`color,~`or~`you~`change~`the~`color~`to~`something~`else.~J~J{h3}Color~`Tags{/h3}~J[rp:color]~`-~`the~`character's~`custom~`name~`color~J[rp:eyecolor]~`-~`the~`character's~`eye~`color~J[rp:gendercolor]~`-~`a~`color~`based~`on~`the~`character's~`gender;~`you~`can~`choose~`what~`those~`colors~`are~`in~`[rp:tags]~`color~`settings~J[rp:statuscolor]~`-~`a~`color~`based~`on~`IC/OOC~`status,~`again~`configurable~J[rp:profilesizecolor]~`-~`color~`ranging~`from~`green~`for~`a~`small~`profile~`to~`red~`for~`a~`large~`profile~J~J{h3}Comparative~`Color~`Tags{/h3}~JThese~`change~`the~`text~`color~`based~`on~`the~`unit's~`relative~`value~`compared~`to~`your~`own.~`If~`you~`don't~`have~`a~`value~`set~`on~`yourself,~`it~`won't~`change~`the~`color.~`~J~JYou~`can~`change~`the~`colors~`in~`the~`[rp:tags]~`color~`settings.~J~J[rp:heightcolor]~`-~`based~`on~`whether~`the~`character~`is~`taller~`or~`shorter~`than~`you,~`or~`about~`the~`same~`size~J[rp:weightcolor]~`-~`based~`on~`the~`character's~`weight~`compared~`to~`yours~J{rp:agecolor}~`-~`based~`on~`the~`character's~`age~`compared~`to~`yours~J~J{h3}Decorative~`Color~`Tags{/h3}~JThere~`are~`three~`colors~`you~`can~`configure~`and~`use~`to~`make~`certain~`~`parts~`of~`your~`UI~`stand~`out.~`These~`are~`the~`hilite~`tags.~J~J[rp:hilite]~`-~`first~`hilite~`color~J[rp:hilite-2]~`-~`second~`hilite~`color~J[rp:hilite-3]~`-~`third~`hilite~`color~J~J{h3}Reset~`Colors~`Tag{/h3}~JTo~`turn~`off~`a~`color~`tag,~`you~`can~`use~`the~`following~`--~`which~`does~`NOT~`have~`the~`rp:~`prefix.~J~J[nocolor]~`-~`reset~`color~J~J{p:c}-~`Next~`Up:~`Icons{/p}^t^N9^T^STX^S{h1:c}List~`of~`Tags{/h1}~J{h2:c}Part~`4:~`Icons{/h2}~J~JYou~`can~`embed~`icons~`in~`your~`text~`fields.~`These~`will~`always~`be~`the~`size~`of~`the~`text~`field~`themselves,~`but~`you~`could~`put~`an~`icon~`alone~`in~`a~`field~`to~`size~`it~`differently~`from~`the~`rest~`of~`your~`UI.~J~J{h3}Icon~`Tags{/h3}~J[rp:icon]~`-~`the~`character's~`primary~`icon,~`as~`shown~`on~`their~`trp3~`profile~J[rp:gendericon]~`-~`an~`icon~`based~`on~`the~`character's~`gender,~`if~`you~`have~`the~`\"parse~`gender\"~`setting~`turned~`on.~`It's~`colored~`with~`your~`chosen~`gender~`colors.~J[rp:glance-1-icon]~`-~`the~`icon~`corresponding~`to~`one~`of~`the~`character's~`at-first-glance~`fields~J[rp:glance-icons]~`-~`all~`five~`(or~`fewer)~`at-first-glance~`icons,~`in~`a~`horizontal~`row~J~J{p:c}-~`Next~`Up:~`Common~`Combos{/p}^t^N10^T^STX^S{h1:c}Common~`Combos{/h1}~J~JHere~`are~`some~`[rp:tag]~`sequences~`you~`might~`want~`to~`try~`out:~J~J{col:000000}[rp:statuscolor][rp:ooc][rp:color][rp:name]{/col}~J~J{col:000000}[rp:gendericon]~`[rp:gendercolor][rp:gender]{/col}~J~J{col:000000}[rp:icon]~`[rp:class]~`[rp:race]{/col}~J~J{col:000000}[rp:glance-icons]~`[rp:glance]{/col}~J~J{col:000000}[rp:heightcolor][rp:height-label][rp:weightcolor][rp:weight-label]{/col}~J~J{p:c}-~`Next~`Up:~`Configuration~`Options{/p}^t^N11^T^STX^S{h1:c}Configuration~`Options{/h1}~J~JConfiguration~`options~`for~`[rp:tags]~`are~`stored~`in~`trp3's~`settings.~`There~`are~`three~`screens~`of~`[rp:tags]~`settings.~J~J{h2}Main~`[rp:tags]~`Settings{/h2}~JHere~`you~`can~`affect~`the~`behavior~`of~`the~`[rp:tags]~`add-on.~`To~`begin~`with,~`you~`can~`decide~`if~`it~`displays~`a~`welcome~`message~`in~`the~`chat~`window~`when~`you~`log~`on.~J~JIf~`you~`want~`all~`[rp:tags]~`tags~`to~`stop~`displaying~`when~`you~`are,~`yourself,~`set~`out-of-character,~`you~`can~`set~`that~`here.~`Also~`you~`can~`decide~`if~`you~`want~`to~`leave~`other~`peoples'~`blank~`lines~`in~`the~`fields~`you~`display,~`or~`strip~`them~`out.~J~JTag~`parsing~`is~`used~`to~`compute~`gender,~`age,~`height,~`and~`weight~`based~`on~`profile~`values.~`If~`you~`don't~`like~`that~`feature,~`turn~`it~`off~`here.~J~J{h2}Format~`Settings{/h2}~JThese~`settings~`control~`how~`your~`tags~`are~`displayed~`in~`your~`unit~`frames.~`Select~`from~`the~`pulldown~`menus~`to~`further~`customize~`your~`UI.~J~JYou~`can~`also~`limit~`the~`text~`fields~`to~`certain~`lengths,~`which~`may~`make~`it~`easier~`to~`fit~`them~`on~`your~`unit~`frames~`(although~`it's~`okay~`if~`they~`overlap~`or~`even~`float~`off~`the~`unit~`frames~`too).~J~JIn~`addition,~`you~`can~`decide~`whether~`[rp:tags]~`will~`truncate~`strictly~`at~`your~`designated~`character~`count,~`will~`only~`cut~`off~`after~`the~`end~`of~`a~`word,~`or~`if~`it~`will~`wrap~`two,~`three,~`or~`all~`of~`the~`text.~J~J{h2}Color~`Settings{/h2}~JYou~`can~`customize~`all~`the~`colors~`you~`use~`in~`[rp:tags].~`These~`should~`be~`pretty~`self-explanatory.~J~J{p:c}-~`Next~`Up:~`Help?{/p}^t^N12^T^STX^S{h1:c}Help?{/h1}~J~JIn~`addition~`to~`this~`user~`manual,~`you~`can~`type~`{col:000000}/rptags{/col}~`at~`any~`time~`in~`your~`chat~`window~`to~`access~`the~`help~`system.~J~J{col:000000}/rptags~`(tag-name){/col}~`will~`give~`you~`more~`information~`about~`that~`tag.~J~J{h2}Contacting~`the~`Developer{/h2}~JYou~`can~`contact~`the~`creator~`of~`the~`program,~`Oraibi,~`in~`one~`of~`four~`ways:~J~J1.~`Send~`a~`/tell~`on~`Moon~`Guard~`to~`the~`character~`{col:000000}Oraibi{/col},~`a~`human~`rogue.~J~J2.~`Add~`{col:000000}Oraibi#6284{/col}~`on~`Discord,~`but~`be~`sure~`to~`introduce~`yourself.~J~J3.~`Join~`the~`{col:00ff00}{link*https://discord.gg/zGPP9x9*rp:tags~`Discord~`Server}.~J~J4.~`Follow~`{col:ff00ff}{link*http://twitter.com/oraibimoonguard*Oraibi's~`Twitter~`Account}{/col}~J~JHope~`you~`enjoy~`the~`add-on!~J~J{p:c}Index~`Follows{/p}^t^N13^T^STX^S{h1:c}Index{/h1}~J{h2}Alphabetical~`listing~`of~`all~`tags{/h2}~J~Jbr~Jnocolor~Jp~Jrp:age~Jrp:agecolor~Jrp:alignment~Jrp:birthday~Jrp:birthplace~Jrp:class~Jrp:classcolor~Jrp:color~Jrp:curr~Jrp:currently~Jrp:eyecolor~Jrp:eyes~Jrp:faceclaim~Jrp:family~Jrp:firstname~Jrp:fullname~Jrp:fulltitle~Jrp:gender~Jrp:gendercolor~Jrp:gendericon~Jrp:glance~Jrp:glance-1~Jrp:glance-1-full~Jrp:glance-1-icon~Jrp:glance-1-text~Jrp:glance-2~Jrp:glance-2-full~Jrp:glance-2-icon~Jrp:glance-2-text~Jrp:glance-3~Jrp:glance-3-full~Jrp:glance-3-icon~Jrp:glance-3-text~Jrp:glance-4~Jrp:glance-4-full~Jrp:glance-4-icon~Jrp:glance-4-text~Jrp:glance-5~Jrp:glance-5-full~Jrp:glance-5-icon~Jrp:glance-5-text~Jrp:glance-all~Jrp:glance-all-full~Jrp:glance-full~Jrp:glance-icons~Jrp:hair~Jrp:height~Jrp:heightcolor~Jrp:hilite~Jrp:hilite-1~Jrp:hilite-2~Jrp:hilite-3~Jrp:hilitecolor~Jrp:hilitecolor-1~Jrp:hilitecolor-2~Jrp:hilitecolor-3~Jrp:home~Jrp:house~Jrp:ic~Jrp:icon~Jrp:icon-gender~Jrp:icon-glance~Jrp:icon-glance-1~Jrp:icon-glance-2~Jrp:icon-glance-3~Jrp:icon-glance-4~Jrp:icon-glance-5~Jrp:info~Jrp:lastname~Jrp:markings~Jrp:motto~Jrp:name~Jrp:name-first~Jrp:name-full~Jrp:name-last~Jrp:namecolor~Jrp:nick~Jrp:nickname~Jrp:npc~Jrp:ooc~Jrp:oocinfo~Jrp:physiognomy~Jrp:piercings~Jrp:profilesize~Jrp:profilesizecolor~Jrp:pronouns~Jrp:race~Jrp:religion~Jrp:residence~Jrp:rstatus~Jrp:sex~Jrp:sexcolor~Jrp:sexuality~Jrp:sizebuff~Jrp:status~Jrp:statuscolor~Jrp:tattoos~Jrp:title~Jrp:title-full~Jrp:title-long~Jrp:title-short~Jrp:tribe~Jrp:voiceclaim~Jrp:weight~Jrp:weightcolor~Jrp:years~Jrp:years-ago~Jrp:years-old^t^t^SBCK^N19^SBO^N1^SH3_F^SGameFontNormalLarge^SFR^b^SWI^N450^SH1_F^SDestinyFontHuge^SH2_F^SQuestFont_Huge^SP_F^SGameTooltipHeader^SBA^T^SNA^SDocument^t^t^t^STY^SIT^SSC^T^SonUse^T^SST^T^S1^T^Se^T^N1^T^Sid^Sdocument_show^Sargs^T^N1^S0806222224wa7tg~`doc^t^t^t^St^Slist^t^t^t^t^Sdetails^T^t^SMD^T^SLO^Sen^SCB^SOraibi-MoonGuard^SV^N31^SdV^S1.2.0^SCD^S06/08/18~`22:22:24^StV^N1013^SMO^SNO^SSD^S07/08/18~`00:42:54^SSB^SOraibi-MoonGuard^t^SCO^T^SOI^b^SSR^S5^SSI^S5x4^SSC^S4^SDU^N0^SMW^N0^t^SUS^T^SAC^SRight-click~`to~`read~`the~`manual.^SSC^SonUse^t^SBA^T^SDE^SCreate~`your~`own~`custom~`user~`interface~`for~`roleplaying!^SPS^N1184^SUS^B^SLE^SBook^SCO^b^SNA^Srp:tags~`User~`Manual^SST^b^SQA^N4^SPA^b^SWA^b^SVA^N1^SCR^b^SWE^N1000^SDS^N1201^SQE^b^SUN^b^SSB^b^SIC^SINV_Misc_Book_04^SCT^b^SRI^Sby~`Oraibi^t^SsecurityLevel^N3^t^N4^S1.2.0^t^^";
for _, translationTable in pairs(Locale)
    do translationTable.CONFIG_BTN_MANUAL_URL = inGameManual;
       end; --for
